Users and computers

This section covers:

  • Managing servers remotely
  • Accessing Windows 2000 Server Help remotely
  • Windows Management Instrumentation
  • Microsoft Management Console
  • Group Policy
  • Remote Installation Services
  • User profiles

For information about managing users and computers in Active Directory, see Active Directory.


Accessing Windows 2000 Server Help remotely

This topic explains how to view Help for Windows 2000 Server or Windows 2000 Advanced Server from a location other than a local server.

The Windows 2000 Server Help files are typically located in C:\Winnt\Help. These files are interconnected to form an integrated Help system and they contain shortcuts that open various server administrative tools. The Help files use approximately 30 MB of disk space.

You can access server Help in several ways. Because each method has its own advantages and disadvantages, you should use the method that best fits your particular situation or best complies with the administrative policy for your organization:

  • Allow read-only access to the Help folder on a server. If you grant Read permission for the Help folder on a server computer, authorized users or groups can access server Help. The Help shortcuts that open administrative tools will function, provided the user has the proper permissions. However, granting even read-only access to server resources may constitute a security risk. To start server Help in a shared Help folder, double-click Windows.chm or create a shortcut to that file.

    For more information on access control for Windows 2000, see Access control.

  • Copy all Help files to a shared folder on your network. You can copy all files in the Help folder to another computer on your network. Then grant the Read permission for the shared folder to authorized users or groups. The Help shortcuts that open administrative tools will not function. To start server Help in a shared folder, double-click Windows.chm or create a shortcut to that file.
  • Copy all Help files to your local computer. You can copy all files in the Help folder to your local computer. However, if the local computer is running Windows 2000 Professional, you will overwrite the Help system for that platform unless you copy the server Help files to a location other than the local Winnt\Help folder. If the Help files are not located in Winnt\Help, or if Windows 2000 Administration Tools is not installed, the Help shortcuts that open administrative tools will not function. To start server Help in a folder on your local computer, double-click Windows.chm or create a shortcut to that file.
  • Install Windows 2000 Administration Tools on your local computer. Windows 2000 Administration Tools adds server administrative tools and their associated Help files to Windows 2000 Professional. You can access the Help files through the menus of the individual tools. However, you do not obtain all the server Help, only the Help associated with the server tools that are included.

    For more information on Windows 2000 Administration Tools, see Managing servers remotely.

  • Print Help topics from a server. You can print some, or all, topics listed in the table of contents for server Help. To do so, on the Contents tab, right-click a topic and then click Print. To print just the content that appears in the topic pane, click Print the selected topic. To print all content associated with a particular heading (book) in the table of contents, click Print the selected heading and all subtopics. Before printing all subtopics, you should view the subtopics to get an estimate of the size of the print job.
  • View the Help files on the Microsoft Web site. You can view the latest Help for Windows 2000 Server and Windows 2000 Advanced Server on the Windows Home Pages Web site. For Windows 2000 Server, see the Microsoft Web site (http://www.microsoft.com/).

    For Windows 2000 Advanced Server, see the Microsoft Web site (http://www.microsoft.com/).

Note

  • When copying files from the Help folder, be sure to copy all files (including any hidden files) in the folder, otherwise the Help system may not function correctly.


Windows Management Instrumentation overview

Windows Management Instrumentation (WMI) is the Microsoft implementation of Web-Based Enterprise Management (WBEM), an initiative to establish standards for accessing and sharing management information over an enterprise network. WMI is WBEM-compliant and provides integrated support for the Common Information Model (CIM), the data model that describes the objects that exist in a management environment.

WMI includes a CIM-compliant object repository, which is the database of object definitions, and the CIM Object Manager, which handles the collection and manipulation of objects in the repository and gathers information from the WMI providers. WMI providers act as intermediaries between components of the operating system and applications. For example, the registry provider draws information from the registry, while the SNMP provider provides data and events from SNMP devices.

In Windows 2000, several management tools have been WMI-enabled, including Logical Drives, System Properties, System Information, and the Dependencies component of Services. In addition, Windows 2000 provides a tool called the WMI Control that can be used to modify WMI configuration settings. These components are briefly described below:

  • The WMI Control enables you to perform Windows Management configuration tasks, such as setting permissions for authorized users or groups, backing up the object repository, and turning error logging on or off. For more information about the WMI Control, see Using Windows Management Instrumentation Control.
  • Logical Drives lets you manage mapped drives and local drives on a remote computer or a local computer. You can view drive properties, change drive labels, and configure security settings for drives. For more information about Logical Drives, see Using Logical Drives.
  • System Properties lets you view and change system properties on a local or remote computer. You can restart a remote computer to apply settings changes or to detect new hardware, view the computer name and domain information for other computers on your network, or change the settings for the virtual memory paging file on a computer that might run programs requiring a lot of memory. For more information about System Properties, see Using System Properties.
  • System Information collects and displays configuration information about your system. This is is especially useful when troubleshooting your system with a support technician. For more information, see Using System Information.
  • Services helps you manage the services on your computer. Services dependencies identify the services upon which the current service is dependent and the services that are dependent upon it. For more information about Services, see Using Services.

For technical information about developing for the WMI system, see the WMI Software Development Kit (SDK). The WMI SDK is released by MSDN as part of the Microsoft Platform SDK.

Related Topics


Files and printers

This section covers:

  • Distributed file system (Dfs)
  • Printing
  • Indexing Service
  • Offline Files


Connections

This section covers:

  • Network and Dial-up Connections
  • Modems
  • Infrared and Wireless Link
  • Telephony
  • Connection Manager Administration Kit
  • Connection Point Services


Networking

This section covers:

  • TCP/IP
  • DNS
  • DHCP
  • WINS
  • Internet Authentication Service
  • Routing and Remote Access
  • Virtual private networks
  • Internet Protocol security (IPSec)
  • Other protocols


Network interoperability

This section covers:

  • SNMP
  • QoS Admission Control
  • Novell NetWare integration
  • AppleTalk network integration
  • Windows ATM services


Client services

This section covers:

  • Licensing
  • Terminal Services
  • Windows Installer


Storing data

This section covers:

  • Disk Management
  • Disk quotas
  • Removable Storage
  • Remote Storage


Disaster protection

This section covers:

  • Backing up and restoring data
  • Fault tolerance
  • Disaster recovery


Monitoring and diagnostics tools

This section covers:

  • Event Viewer
  • Network Monitor
  • Monitoring performance
  • Disk Defragmenter


Internet tools and services

This section covers:

  • Internet Explorer
  • Windows Media Services
  • Internet Information Services


Automating administrative tasks

This section covers:

  • Task Scheduler
  • Windows Script Host
  • Logon scripts


Application and programming tools

This section covers:

  • Message Queuing
  • Component Services
  • Distributed Component Object Model
  • Data Sources


Troubleshooting and additional resources

This section covers:

  • Troubleshooting
  • Additional resources


Windows 2000 Advanced Server-specific

This information is not available

The information you are trying to locate appears only in the Windows 2000 Advanced Server documentation; it is not contained in the Windows 2000 Server or the Windows 2000 Professional documentation.

Click Back to return to the previous topic.


Code Signing for Windows 2000

Windows 2000 drivers and operating system files have been digitally signed by Microsoft to ensure their quality. A Microsoft digital signature is your assurance that a particular file has met a certain level of testing, and that the file has not been altered with or overwritten by another program's installation process.

Depending on how your administrator has configured your computer, Windows 2000 either ignores device drivers that are not digitally signed, displays a warning when it detects device drivers that are not digitally signed (the default), or prevents you from installing device drivers without digital signatures.

Windows 2000 includes the following features to ensure that your device drivers and system files remain in their original, digitally signed state. For more information about each feature, see Related Topics.

  • Windows File Protection
  • System File Checker
  • File Signature Verification


Compressing sound files

CD-quality, uncompressed stereo audio files require about 150 kilobytes (KB) of hard disk space for every second of sound. A sound file's size depends on the sample rate (frequency), the number of bits per sample (quality or richness of the sound), and whether the sound is mono or stereo. For example, a 22 kilohertz (kHz), 16-bit mono music sample requires a data rate of 2.65 megabytes (MB) per minute to play back as it was originally recorded. Compressing a sound file using an audio codec is the best way to store audio files on your computer's hard disk or play audio files over a network with limited bandwidth.

Audio codecs exist for various audio uses. Some audio codecs are optimized for voice, while others are better suited for low to high bit rate music samples and sounds. Voice-oriented audio codecs (such as DSP Group TrueSpeech or Microsoft Groupe Spécial Mobile (GSM) 6.10) allow efficient compression of voice data. Music-oriented audio codecs (such as Fraunhofer Institut Integrierte Schaltungen IIS (FhG) MPEG Layer-3 or Voxware MetaSound) allow close to CD-quality sound to be compressed to about one-fourth its original size.

Using Sound Recorder, you can select either a voice-oriented or music-oriented audio codec to compress and decompress .wav files. If you compress the .wav file into one of the formats supported by Windows 2000, you can play the sound back directly without decompressing it manually. Windows 2000 uses its codecs to decompress the data for playback.

Common audio codecs supported by Windows 2000

Audio Codec | Description | Frequency/Sampling Rate
CCITT A-Law The Microsoft International Telecommunications Union (ITU) CCITT A-Law codec provides compatibility with Telephony Application Programming Interface (TAPI) standards for Europe. Also known as G.711, this codec is supported by many hardware configurations and offers a 2:1 compression ratio (from 16 bits to 8 bits per sample). 8.000 kHz, 8-bit, Mono, 7 kbps
8.000 kHz, 8-bit, Stereo, 15 kbps
11.025 kHz, 8-bit, Mono, 10 kbps
11.025 kHz, 8-bit, Stereo, 21 kbps
22.050 kHz, 8-bit, Mono, 21 kbps
22.050 kHz, 8-bit, Stereo, 43 kbps
44.100 kHz, 8-bit, Mono, 43 kbps
44.100 kHz, 8-bit, Stereo, 86 kbps
CCITT u-Law | Same as the CCITT A-Law codec, but provides compatibility with TAPI standards used in North America. | Same as the CCITT A-Law codec.
DSP Group TrueSpeech | The DSP Group TrueSpeech codec provides good compression for voice-oriented sound and is designed for low to mid bit rate voice-oriented sound. TrueSpeech offers a better data rate than GSM 6.10, the other voice-oriented audio codec provided with Windows 2000. TrueSpeech is a good choice when you want to record notes in documents or spreadsheets or store voice mail on your computer, but is not designed for sound other than voice. TrueSpeech does not offer real-time compression rates, but offers real-time decompression rates, making this codec a good alternative for use with modems and networks. | 8.000 kHz, 1-bit, Mono, 1 kbps
GSM 6.10 The Microsoft Groupe Spécial Mobile (GSM) codec is designed for the efficient compression of speech and is best for mid to high bit rate voice-oriented sound. GSM provides 2:1, real-time compression (as long as your hardware is fast enough to support it), making this codec a good option for recording voice with Sound Recorder. Using GSM to compress music can result in poor audio quality. GSM conforms to the European Telecommunications Standards Institute recommendation 6.10. 8.000 kHz, Mono, 1 kbps
11.025 kHz, Mono, 2 kbps
22.050 kHz, Mono, 4 kbps
44.100 kHz, Mono, 8 kbps
IMA ADPCM The Microsoft Interactive Multimedia Association (IMA) ADPCM codec is designed for multiple hardware platforms and offers high quality, real-time compression with high bit rate content. IMA ADPCM is similar to Microsoft ADPCM, but provides faster 4:1 compression. 8.000 kHz, 4-bit, Mono, 3 kbps
8.000 kHz, 4-bit, Stereo, 7 kbps
11.025 kHz, 4-bit, Mono, 5 kbps
11.025 kHz, 4-bit, Stereo, 10 kbps
22.050 kHz, 4-bit, Mono, 10 kbps
22.050 kHz, 4-bit, Stereo, 21 kbps
44.100 kHz, 4-bit, Mono, 21 kbps
44.100 kHz, 4-bit, Stereo, 43 kbps
Lernout & Hauspie CELP
4.8 kbps 		The Lernout & Hauspie CELP codec is designed for use with speech and is best for low bit rate voice-oriented sound. Using Lernout & Hauspie CELP to compress music can result in poor audio quality. This codec has only one setting, which compresses everything to 4.8 kbps. Audio compressed this small doesn't have the richness associated with CD-quality audio, however voice audio, such as someone talking, will sound good because Lernout & Hauspie CELP is designed to work best with less dynamic audio sources. Lernout & Hauspie CELP is useful when you want to have a lot of bandwidth left for sending other types of information across the network such as video, images, or script commands. 8.000 kHz, 16-bit, Mono, 0 kbps
Lernout & Hauspie SBC
8 kbps 		Similar to the Lernout & Hauspie CELP 4.8 kbps codec. 8.000 kHz, 16-bit, Mono, 1 kbps
Lernout & Hauspie SBC
12 kbps 		Similar to the Lernout & Hauspie CELP 4.8 kbps codec. 8.000 kHz, 16-bit, Mono, 2 kbps
Lernout & Hauspie SBC
16 kbps 		Similar to the Lernout & Hauspie CELP 4.8 kbps codec. 8.000 kHz, 16-bit, Mono, 2 kbps
Microsoft ADPCM The Microsoft Adaptive Delta Pulse Code Modulation (ADPCM) codec provides high-quality 4:1 for compression, in both real-time and otherwise, and is best for audio streams associated with high bit rate video. 8.000 kHz, 4-bit, Mono, 4 kbps
8.000 kHz, 4-bit, Stereo, 8 kbps
11.025 kHz, 4-bit, Mono, 5 kbps
11.025 kHz, 4-bit, Stereo, 11 kbps
22.050 kHz, 4-bit, Mono, 10 kbps
22.050 kHz, 4 Bit, Stereo, 21 kbps
44.100 kHz, 4-bit, Mono, 21 kbps
44.100 kHz, 4-bit, Stereo, 43 kbps
Microsoft G.723.1 The Microsoft G.723.1 codec is designed for creating active streaming format (.asf) files or ASF audio streams for use over the Internet or with Windows Media Player. The G.723.1 standard specifies the format and algorithm for sending or receiving voice over low bandwidth network connections. Files compressed using Microsoft G.723.1 can contain multiple data types in addition to audio-only, and supports many compression schemes. Microsoft G.723.1 works extremely well on low bit rate network connections, such as 14.4 or 28.8 kbps. 8.000 kHz, Mono, 6400 bit/s 0 kbps
8.000 kHz, Mono, 5333 bit/s 0 kbps
MPEG Layer-3 The Fraunhofer Institut Integrierte Schaltungen IIS (FhG) MPEG Layer-3 codec is designed for creating low-to-mid bit rate CD-quality music files for use on an intranet or the Internet. The MPEG Layer-3 codec offers excellent high-fidelity compression for many different types of audio and is a good choice when you require a high bit rate and low CPU usage. 8 kbps, 8.000 kHz, Mono, 0 kbps
16 kbps, 8.000 kHz, Mono, 1 kbps
8 kbps, 11.025 kHz, Mono, 0 kbps
16 kbps, 11.025 kHz, Mono, 1 kbps
18 kbps, 11.025 kHz, Mono, 2 kbps
20 kbps, 11.025 kHz, Mono, 2 kbps
24 kbps, 11.025 kHz, Mono, 2 kbps
32 kbps, 11.025 kHz, Mono, 3 kbps
8 kbps, 12.000 kHz, Mono, 0 kbps
16 kbps, 12.000 kHz, Mono, 1 kbps
18 kbps, 12.000 kHz, Mono, 2 kbps
20 kbps, 12.000 kHz, Mono, 2 kbps
16 kbps, 16.000 kHz, Mono, 1 kbps
18 kbps, 16.000 kHz, Mono, 2 kbps
20 kbps, 16.000 kHz, Mono, 2 kbps
24 kbps, 16.000 kHz, Mono, 2 kbps
32 kbps, 16.000 kHz, Mono, 3 kbps
24 kbps, 22.050 kHz, Mono, 2 kbps
32 kbps, 22.050 kHz, Mono, 3 kbps
24 kbps, 24.000 kHz, Mono, 2 kbps
32 kbps, 24.000 kHz, Mono, 3 kbps
18 kbps, 8.000 kHz, Stereo, 2 kbps
20 kbps, 8.000 kHz, Stereo, 2 kbps
24 kbps, 8.000 kHz, Stereo, 2 kbps
32 kbps, 8.000 kHz, Stereo, 3 kbps
18 kbps, 11.025 kHz, Stereo, 2 kbps
20 kbps, 11.025 kHz, Stereo, 2 kbps
24 kbps, 11.025 kHz, Stereo, 2 kbps
32 kbps, 11.025 kHz, Stereo, 3 kbps
18 kbps, 12.000 kHz, Stereo, 2 kbps
20 kbps, 12.000 kHz, Stereo, 2 kbps
24 kbps, 12.000 kHz, Stereo, 2 kbps
32 kbps, 12.000 kHz, Stereo, 3 kbps
32 kbps, 16.000 kHz, Stereo, 3 kbps
48 kbps, 16.000 kHz, Stereo, 5 kbps
56 kbps, 16.000 kHz, Stereo, 6 kbps
48 kbps, 22.050 kHz, Stereo, 5 kbps
56 kbps, 22.050 kHz, Stereo, 6 kbps
48 kbps, 24.000 kHz, Stereo, 5 kbps
56 kbps, 24.000 kHz, Stereo, 6 kbps
PCM The Microsoft Pulse-Code Modulation (PCM) Converter provides uncompressed audio for higher bit rate content. With PCM, you can play an audio sample at one kilohertz rate on a sound card that supports another rate. For example, 8-bit cards can play 16-bit samples by reducing the quality of the audio to match the sound card's capabilities. 8.000 kHz, 8-bit, Mono, 7 kbps
8.000 kHz, 8-bit, Stereo, 15 kbps
8.000 kHz, 16-bit, Mono, 15 kbps
8.000 kHz, 16-bit, Stereo, 31 kbps
11.025 kHz, 8-bit, Mono, 10 kbps
11.025 kHz, 8-bit, Stereo, 21 kbps
11.025 kHz, 16-bit, Mono, 21 kbps
11.025 kHz, 16-bit, Stereo, 43 kbps
22.050 kHz, 8-bit, Mono, 21 kbps
22.050 kHz, 8-bit, Stereo, 43 kbps
22.050 kHz, 16-bit, Mono, 43 kbps
22.050 kHz, 16-bit, Stereo, 86 kbps
44.100 kHz, 8-bit, Mono, 43 kbps
44.100 kHz, 8-bit, Stereo, 86 kbps
44.100 kHz, 16-bit, Mono, 86 kbps
44.100 kHz, 16-bit, Stereo, 172 kbps
48.000 kHz, 8-bit, Mono, 46 kbps
48.000 kHz, 8-bit, Stereo, 93 kbps
48.000 kHz, 16-bit, Mono, 93 kbps
48.000 kHz, 16-bit, Stereo, 187 kbps
VivoActive G.723.1 | The VivoActive G.723.1 codec is good for creating low bit rate general purpose audio files, active streaming format (.asf) files, or ASF audio streams for use over an intranet. The G.723.1 standard specifies the format and algorithm for sending or receiving voice over low bandwidth network connections. | 8.000 kHz, Mono, 0 kbps
VivoActive Siren | The VivoActive Siren codec is good for creating low bit rate general purpose audio files. | 16.000 kHz, Mono, 1 kbps
Voxware MetaSound The Voxware MetaSound codec is designed for creating low-to-mid bit rate music files, ranging from 6 kbps Mono to 96 kbps high-fidelity stereo. This codec offers excellent high-fidelity compression for many different types of audio. However, MPEG Layer-3 is a good alternative if you require a high bit rate and low CPU usage. AC8 File, 8 kHz, Mono, 0 kbps
AC10 File, 11 kHz, Mono, 1 kbps
AC16 File, 16 kHz, Mono, 1 kbps
AC24 File, 22 kHz, Mono, 2 kbps
AC8 Bitstream, 8 kHz, Mono, 0 kbps
AC10 Bitstream, 11 kHz, Mono, 1 kbps
AC16 Bitstream, 16 kHz, Mono, 1 kbps
AC24 Bitstream, 22 kHz, Mono, 2 kbps
Voxware MetaVoice The Voxware MetaVoice codec provides good performance for extremely low bit rate voice-only audio tracks. Using the RT24 setting at 2.4 kbps, the MetaVoice codec compresses audio smaller than any of the other codecs installed with Windows Media Player. RT24 File, 8 kHz, Mono, 0 kbps
RT29HQ File, 8 kHz, Mono, 0 kbps
RT24 Bitstream, 8 kHz, Mono, 0 kbps
RT29HQ Bitstream, 8 kHz, Mono, 0 kbps

Notes

  • Compressing a .wav file or increasing the compression ratio does not usually improve sound quality.
  • Changing a .wav file's attributes may increase or decrease file size, but does not usually improve sound quality.
  • You may have other audio codecs on your computer as a result of installing software provided by other software companies.
  • For more information on Sound Recorder, click the Help menu in Sound Recorder.


Convert a volume to NTFS from the command prompt

To convert a volume to NTFS from the command prompt

  2. In the command prompt window, type

    3. convert drive_letter: /fs:ntfs

Notes

  • You can convert FAT or FAT32 volumes to NTFS with this command.


Copyright

Information in this document, including URL and other Internet web site references, is subject to change without notice. The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright 1985-1999 Microsoft Corporation. All rights reserved.

Active Desktop, Active Directory, ActiveMovie, ActiveX, Authenticode, BackOffice, Direct3D, DirectAnimation, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, DoubleSpace, DriveSpace, FrontPage, IntelliMirror, IntelliMouse, JScript, Microsoft, Microsoft Press, Microsoft QuickBasic, MSDN, MS-DOS, MSN, Natural, NetMeeting, OpenType, Outlook, PowerPoint, SideWinder, Visual Basic, Visual C++, Visual FoxPro, Win32, Windows, Windows Media, Windows NT, and Wingdings are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

Copyright 1997 Citrix Systems, Inc. All rights reserved.

Portions of graphic filter software are based in part on the work of the Independent JPEG Group.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Organizing files using folders

Folders folder provide a useful way to organize the files on your system, providing logical places to create and store your files. Create folders for categories that match the way you want to organize your information, then save your files in the most appropriate folder. You can move files from other locations, such as another folder or a network drive or share, to new folders you create. You can even create folders within folders. Your files are easier to find when you organize them this way.

You can create a folder from almost anywhere in Windows 2000. Windows 2000 places the new folder in your current location. However, you can move the folder to any location at a later time.

For example, if you are in the My Documents folder and create a new folder, Windows 2000 places the new folder within the My Documents folder. If you later decide you want to move the folder to a new location, you can easily move the folder and all the files it contains to the new location.


Obtain the Windows 2000 High Encryption Pack

To obtain the Windows 2000 High Encryption Pack

  • To download the Windows 2000 High Encryption Pack for 128-bit encryption, go to the Windows 2000 High Encryption Pack download area at the Microsoft Web site (http://www.microsoft.com/). The download is accessible only to users in the United States and its territories, possessions, and dependencies, and in Canada.
  • To obtain information about global customers eligible to receive the Windows 2000 High Encryption Pack and other Microsoft strong encryption products, go to the Microsoft Web site (http://www.microsoft.com/). Many global customers located outside North America may be eligible to receive the Windows 2000 High Encryption Pack. If you think you are eligible to receive strong encryption under United States export law, contact your Microsoft representative.

Note

  • In Windows 2000, the conversion to 128-bit encryption affects encryption of files on the disk, Internet Protocol (IP) Security, NDIS wide area network connections, Secure Sockets Layer (SSL), and Terminal Services.


Tools for personalizing your workspace

Most of the tools for personalizing your workspace are located in the Control Panel.

Date/Time

Use Date/Time to change date, time, and time zone information.

Open Date/Time in Control Panel.

Display

Use Display to change the appearance of your desktop, including the background, screen saver, appearance of dialog boxes, and settings for number of colors, desktop area, and font size.

Open Display in Control Panel.

Keyboard

Use Keyboard to change cursor blink rate, character repeat rate, and input locale or language.

Open Keyboard in Control Panel.

Mouse

Use Mouse to change button configuration, double-click speed, mouse pointers, and motion speed.

Open Mouse in Control Panel.

Regional Options

Use Regional Options to change input locales and languages. You can also change the way numbers, currencies, dates, and times are displayed.

Open Regional Options in Control Panel.

Sounds and Multimedia

Use Sounds and Multimedia to change the entire sound scheme or the individual sounds made by the system and your installed programs.

Open Sounds and Multimedia in Control Panel.

Note

  • To open the Control Panel, click Start, point to Settings, and then click Control Panel.


Active Desktop overview

You can make your desktop look and work like a Web page. You can display Web content directly on your desktop, and have the content updated automatically, making your desktop active. For example, you could add an investment channel or a weather map channel from the Windows Media Showcase or a page you found on the Web.

Not only do you now have many points of access to the Web from your desktop, but by adding Web content to your desktop and folders, you can personalize almost everything you see and use on your screen.

Once the Active Desktop feature is turned on, Web content is displayed or can be added to your desktop. When you right-click a blank space on the desktop and then point to Active Desktop, additional menu options also become available which enable you to customize and update desktop items.

  • Show Web Content turns on the Active Desktop feature.
  • Show Desktop Icons displays icons on the desktop.
  • Lock Desktop Items secures the size and location of Active Desktop items. When Lock Desktop Items is selected, Active Desktop items cannot be moved or resized.
  • Synchronize updates Web page content.

A check mark next to an item indicates that the option is enabled.


Customizing your desktop, taskbar, Start menu, and folders

You can add Web pages containing active content, such as an investment or an entertainment channel, to your desktop. Or use a Web page as your desktop wallpaper or as a folder background. You can put a toolbar in a handier place, on your desktop or taskbar. You can even give yourself quick access to frequently accessed files and programs, by simply dragging and dropping them on the Start menu.

The Go button and Favorites menu are accessible from almost every window. For example, you can reach your favorite Web sites from the Internet Explorer icon on your taskbar. You can add an Address bar to the taskbar or the desktop, making it convenient for you to type an Internet address without opening the browser first.


Desktop overview

The desktop, which is the screen that you see after you log on to Windows 2000, is one of the most important features on your computer. The desktop can contain shortcuts to your most frequently used programs, documents, and printers. The desktop can also be the home of active content such as a news or travel channel.

To adjust settings such as desktop color and background, right-click any empty area on the desktop, and then click Properties.

By default, the desktop is home to the following features:

Taskbar

The taskbar appears at the bottom of your screen. The taskbar contains the Start button, which you can use to quickly start a program, find a file, or access Help.

When you open a program, document, or window, a button appears on the taskbar for each item. Use the buttons to quickly switch from one open window to another.

Minimize all open windows and access the desktop with one click of the Show Desktop [image] button on the taskbar.

My Documents

Use this folder as the default storage location for documents, graphics, and other files, including saved Web pages. Each user who logs on to the computer has a unique My Documents folder, so the documents you store in your My Documents folder are not readily available to another person who uses the same computer.

My Computer

Use this folder to quickly see the contents of your floppy disk, hard disk, CD-ROM drive, and mapped network drives. From within My Computer, you can also open Control Panel, where you can configure many settings on your computer.

My Network Places

Use this folder to locate shared resources on the entire network to which your computer is connected. Shortcuts to the computers, Web servers, and FTP servers where you've accessed documents or programs are automatically created in My Network Places. You can also create shortcuts to network, Web, and FTP servers by using the Add Network Place wizard.

If your computer is a member of a workgroup, you can double-click Computers Near Me to narrow your search to computers that are in the same workgroup.

For more information about Web servers, see Related Topics.

For more information about FTP, double-click Internet Explorer on your desktop, click Help, and then click Contents and Index. Search for FTP.

Recycle Bin

The Recycle Bin stores deleted files, folders, graphics, and Web pages until you empty the bin. If you want to retrieve an item that you have deleted, look in the Recycle Bin.

Internet Explorer

Using an Internet connection and Internet Explorer, you can browse the World Wide Web and your local intranet.

For more information about the desktop, see Related Topics. In addition, if you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book.


Removing unneeded files

When running a system as complex as Windows 2000 on your computer, you may not always know the significance of all the files on your computer. Sometimes Windows 2000 uses files for a specific operation and then retains them in a folder designated for temporary files. You may have previously installed Windows 2000 components that you are no longer using. For a variety of reasons, including running out of space on your hard drive, you may want to reduce the number of files on your disk, or create more free space, if it can be done without harming any of your programs.

Use the Windows 2000 Disk Cleanup wizard to perform all of the following tasks to clear space on your hard disk:

  • Remove temporary Internet files.
  • Remove any downloaded program files (ActiveX controls and Java applets downloaded from the Internet).
  • Empty the Recycle Bin.
  • Remove Windows 2000 temporary files.
  • Remove Windows 2000 components that you are not using.
  • Remove installed programs that you no longer use.

Note

  • To start Disk Cleanup, click Start, click Run, and then type cleanmgr.


Using Active Directory

The Active Directory directory service for Windows 2000 catalogs information about all the objects on a network, including people, computers, and printers, and distributes that information throughout your network. Security is integrated with Active Directory through logon authentication and access control. With Active Directory, you only need to log on once to easily find and use resources anywhere on the network. For example, you can search Active Directory for a printer that prints in color and is located near your computer, a group of users managed by a particular individual, or a shared folder to which a unique keyword has been assigned.

  1. Open My Network Places.
  2. Double-click Entire Network, click entire contents, and then double-click Directory.
  3. Right-click an object representing an Active Directory domain, and then click Find.

Notes

  • To open My Network Places, double-click My Network Places on the desktop.
  • Before you can use Active Directory, it must be installed on domain controllers in your network and tailored for your organization.
  • You can also search for items not cataloged by Active Directory, such as shared folders and Web pages. To begin your search, click Start, point to Search, and then click the item for which you want to search.
  • For more information about searching for objects in Active Directory, using Search Assistant to find files on your computer or people on a network, or searching the Internet, see Related Topics.


Help for error messages

Windows 2000 provides troubleshooting information for some of the more commonly encountered system errors. This troubleshooting information will help you diagnose the problem and get back to work as quickly as possible.

When you click Help in an error message dialog box, you will get the following information:

  • A detailed description of the error.
  • One or more ways in which you can resolve the error.
  • A list of related tools and Help topics that may help you prevent the error from occurring in the future.


File properties

Files and folders in Windows 2000 have property sheets that display information about the file or folder, such as the size, location, and the date it was created. When you view the properties of a file or folder, you can also get information about:

  • The file or folder attributes.
  • The type of file.
  • The name of the program that opens the file.
  • The number of files and subfolders contained in the folder.
  • The last time the file was modified or accessed.

You can also display the following additional information, depending on the type of file or folder:

  • The Sharing tab lists the share name that others can use to access the contents of the folder over the network if the folder is shared.
  • The Security tab lists other users who can modify, read and execute, list folder contents, write to the file or folder, or have read-only access.
  • The Summary tab lists user-supplied information about the file, including the title, subject, category, and author.


Using the Microsoft Personal Support Center Web site to find more information

The Microsoft Personal Support Center Web site contains an extensive collection of online product support articles, troubleshooting wizards, items you can download, and other useful information. Online product support articles are in-depth papers written to help you understand more about a particular feature in Windows 2000.

The first time you use the Microsoft Personal Support Center site, you must register your name and address in the database. The next time you use the site, you will be linked directly to the search screen.

When you search the Microsoft Personal Support Center site, you may select either the Basic view or the Advanced view. The Basic view offers an easy two-step way to view the necessary information. To search in the Basic view, select the product or technology you are interested in, and then enter some words you want to find articles about. For example, enter Internet Explorer shortcut create web to find articles that contain these words.

The Advanced view enables you to be more specific about what you want to find and how you want to search for it. It allows you to search by keywords, specific article numbers, driver file names, specific troubleshooting tools, most recent articles, or any combination of these methods.

The search results show any articles that match the criteria. Just click the article you want to read.

For more information, or to begin your search, see online product support at the Microsoft Web site (http://support.microsoft.com/).

For additional product support information, visit Microsoft Product Support Services at the Microsoft Web site (http://www.microsoft.com/).


Accessibility Options keyboard shortcuts

Press | To
Right SHIFT for eight seconds | Switch FilterKeys on and off
Left ALT +left SHIFT +PRINT SCREEN | Switch High Contrast on and off
Left ALT +left SHIFT +NUM LOCK | Switch MouseKeys on and off
SHIFT five times | Switch StickyKeys on and off
NUM LOCK for five seconds | Switch ToggleKeys on and off
Windows logo key +U | Open Utility Manager
For information on the Accessibility options mentioned above, please see Related Topics.


Windows Explorer keyboard shortcuts

Press | To
END | Display the bottom of the active window.
HOME | Display the top of the active window.
NUM LOCK+ASTERISK on numeric keypad (*) | Display all subfolders under the selected folder.
NUM LOCK+PLUS SIGN on numeric keypad (+) | Display the contents of the selected folder.
NUM LOCK+MINUS SIGN on numeric keypad (-) | Collapse the selected folder.
LEFT ARROW | Collapse current selection if it's expanded, or select parent folder.
RIGHT ARROW | Display current selection if it's collapsed, or select first subfolder.

Notes

  • Some keyboard shortcuts may not work if StickyKeys is turned on in Accessibility Options.
  • If you are connected to Windows 2000 through Microsoft Terminal Services Client, some shortcuts have changed. For more information, see the online documentation for Terminal Services Client.


Windows 2000 keyboard shortcuts

Press | To
CTRL+C | Copy.
CTRL+X | Cut.
CTRL+V | Paste.
CTRL+Z | Undo.
DELETE | Delete.
SHIFT+DELETE | Delete selected item permanently without placing the item in the Recycle Bin.
CTRL while dragging an item | Copy selected item.
CTRL+SHIFT while dragging an item | Create shortcut to selected item.
F2 | Rename selected item.
CTRL+RIGHT ARROW | Move the insertion point to the beginning of the next word.
CTRL+LEFT ARROW | Move the insertion point to the beginning of the previous word.
CTRL+DOWN ARROW | Move the insertion point to the beginning of the next paragraph.
CTRL+UP ARROW | Move the insertion point to the beginning of the previous paragraph.
CTRL+SHIFT with any of the arrow keys | Highlight a block of text.
SHIFT with any of the arrow keys | Select more than one item in a window or on the desktop, or select text within a document.
CTRL+A | Select all.
F3 | Search for a file or folder.
CTRL+O | Open an item.
ALT+ENTER | View properties for the selected item.
ALT+F4 | Close the active item, or quit the active program.
CTRL+F4 | Close the active document in programs that allow you to have multiple documents open simultaneously.
ALT+TAB | Switch between open items.
ALT+ESC | Cycle through items in the order they were opened.
F6 | Cycle through screen elements in a window or on the desktop.
F4 | Display the Address bar list in My Computer or Windows Explorer.
SHIFT+F10 | Display the shortcut menu for the selected item.
ALT+SPACEBAR | Display the System menu for the active window.
CTRL+ESC | Display the Start menu.
ALT+Underlined letter in a menu name | Display the corresponding menu.
Underlined letter in a command name on an open menu | Carry out the corresponding command.
F10 | Activate the menu bar in the active program.
RIGHT ARROW | Open the next menu to the right, or open a submenu.
LEFT ARROW | Open the next menu to the left, or close a submenu.
F5 | Refresh the active window.
BACKSPACE | View the folder one level up in My Computer or Windows Explorer.
ESC | Cancel the current task.
SHIFT when you insert a CD into the CD-ROM drive | Prevent the CD from automatically playing.

Notes

  • Some keyboard shortcuts may not work if StickyKeys is turned on in Accessibility Options.
  • If you are connected to Windows 2000 through Microsoft Terminal Services Client, some shortcuts have changed. For more information, see the online documentation for Terminal Services Client.


Dialog box keyboard shortcuts

Press | To
CTRL+TAB | Move forward through tabs.
CTRL+SHIFT+TAB | Move backward through tabs.
TAB | Move forward through options.
SHIFT+TAB | Move backward through options.
ALT+Underlined letter | Carry out the corresponding command or select the corresponding option.
ENTER | Carry out the command for the active option or button.
SPACEBAR | Select or clear the check box if the active option is a check box.
Arrow keys | Select a button if the active option is a group of option buttons.
F1 | Display Help.
F4 | Display the items in the active list.
BACKSPACE | Open a folder one level up if a folder is selected in the Save As or Open dialog box.

Notes

  • Some keyboard shortcuts may not work if StickyKeys is turned on in Accessibility Options.
  • If you are connected to Windows 2000 through Microsoft Terminal Services Client, some shortcuts have changed. For more information, see the online documentation for Terminal Services Client.


Natural Keyboard shortcuts

You can use the following keyboard shortcuts with a Microsoft Natural Keyboard or any other compatible keyboard that includes the Windows logo key ( Windows logo key) and the Application key ( Application key).

Press | To
Windows logo key | Display or hide the Start menu.
Windows logo key +BREAK | Display the System Properties dialog box.
Windows logo key +M | Minimize or restore all windows.
Windows logo key +E | Open My Computer.
Windows logo key +F | Search for a file or folder.
CTRL+ Windows logo key +F | Search for computers.
Windows logo key +F1 | Display Windows 2000 Help.
Windows logo key +R | Open the Run dialog box.
Windows logo key +TAB | Switch between open items.
Application key | Display the shortcut menu for the selected item.
Windows logo key +U | Open Utility Manager

Notes

  • Some keyboard shortcuts may not work if StickyKeys is turned on in Accessibility Options.
  • If you are connected to Windows 2000 through Microsoft Terminal Services Client, some shortcuts have changed. For more information, see the online documentation for Terminal Services Client.


Locating lost files

To locate lost files

Check these locations to locate misplaced files:

The My Documents folder on the desktop

  • On the desktop, double-click My Documents.

The list of recently used documents

  • Click Start, and then point to Documents.

The default save location of the program you used to open or create the file

  1. Open the program.
  2. On the File menu, click Save As.

    3. This opens the program's default save location where the file was likely saved.

Perform a search

  • Click Start, point to Search, and then click For Files or Folders.

The systemroot\Profiles\user name folder

  1. On the desktop, double-click My Computer.
  2. In the systemroot\Profiles folder, double-click the folder that corresponds to your user name.

    3. Depending on how Windows 2000 was installed on your computer, the Profiles folder may not be present.

The Documents and Settings\user name folder

  1. On the desktop, double-click My Computer.
  2. Double-click the hard disk icon to display the contents of the root directory. For example, C:\ or D:\.
  3. In the Documents and Settings folder, double-click the folder that corresponds to your user name.

    4. Depending on how Windows 2000 was installed on your computer, the Documents and Settings folder may not be present.

The systemroot\system32 folder

  1. On the desktop, double-click My Computer.
  2. In the systemroot\system32 folder, double-click the file or folder you want to open.

The root directory

  1. On the desktop, double-click My Computer.
  2. Double-click the hard disk icon to display the contents of the root directory.

    3. For example, C:\ or D:\.

The folders of the program you used to open or create the file

  1. On the desktop, double-click My Computer.
  2. Double-click the hard disk icon to display the contents of the root directory. For example, C:\ or D:\.
  3. In the Program Files folder, double-click the file or folder you want to open.

    4. For example, if you created a document in Microsoft Word, the file may have been saved in one of the folders associated with Microsoft Word.


Using NTFS mounted drives

If you're a member of the Administrators group, you can use Disk Management to connect, or mount, a local drive at any empty folder on a local NTFS volume. You can format a mounted drive with any file system supported by Windows 2000.

When you mount a local drive at an empty NTFS folder, Windows 2000 assigns a path to the drive rather than a drive letter. Mounted drives are not subject to the 26-drive limit imposed by drive letters, so you can use mounted drives to access more than 26 drives on your computer. Windows 2000 ensures that drive paths retain their association to the drive, so you can add or rearrange storage devices without the drive path failing.

For example, if you have a CD-ROM drive with the drive letter D, and an NTFS-formatted volume with the drive letter C, you could mount the CD-ROM drive at an empty folder C:\CD-ROM, and then access the CD-ROM drive directly through the path C:\CD-ROM. If desired, you can remove the drive letter D and continue to access the CD-ROM through the mounted drive path.

Mounted drives make data more accessible and give you the flexibility to manage data storage based on your work environment and system usage. For example, you can:

  • Make the C:\Users folder a mounted drive with NTFS disk quotas and fault tolerance enabled, so you can track or constrain disk usage and protect user data on the mounted drive, without doing the same on the C: drive.
  • Make the C:\Temp folder a mounted drive to provide additional disk space for temporary files.
  • Move program files to another, larger drive when space is low on the C: drive, and mount it as C:\Program Files.


Using My Documents

My Documents is a desktop folder that provides you with a convenient place to store documents, graphics, or other files that you want to access quickly. On your desktop, it is represented by an icon of a folder with a sheet of paper in it.

When you save a file in a program such as WordPad or Paint, or when you save Web documents from Internet Explorer to your computer, the file or document is automatically saved in My Documents unless you choose a different location.

Even though My Documents is the default storage location for several programs, your documents are not stored in the same My Documents folder as another user's if there are multiple user accounts on the computer. Each user has a My Documents folder located in the Documents and Settings\username folder.

You can change the location of your My Documents folder by right-clicking My Documents on the desktop, and then clicking Properties. In the My Documents Properties dialog box, type or browse (click Find Target) for the path and folder name where you want to store your My Documents folder.

My Documents also contains the My Pictures folder, which is the default storage location for your pictures when you save them from your digital camera to your computer.


Windows 2000 Command Reference Main Page

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

To find information about a command, click the letter the command starts with, and then click the command name.

For additional help on MS-DOS commands, at the command prompt, type the following:
command_name /?

Using Windows 2000 Command Reference

What's new or different from MS-DOS

A

Append

Arp

Assoc

At

Atmadm

Attrib

B

Batch commands

Break

Buffers

C

Cacls

Call

Chcp

Chdir (cd)

Chkdsk

Chkntfs

Cipher

Cls

Cluster

Cluster commands overview

Cluster group

Cluster node

Cluster netinterface

Cluster network

Cluster resource

Cluster resourcetype

Cmd

Codepage

Color

Command symbols and filter commands

Comp

Compact

Conditional processing symbols

Convert

Copy

Country

D

Date

Debug

Debug subcommands

Del (Erase)

Device

Devicehigh (dh)

Devinfo

Dir

Diskcomp

Diskcopy

Diskperf

Dos

Doskey

Dosonly

Driveparm

E

Echo

Echoconfig

Edit

Edlin

Edlin subcommands

Endlocal

Evntcmd

Exe2bin

Exit

Expand

F

Fastopen

Fc

Fcbs

Files

Filter commands

Find

Findstr

Finger

For

Forcedos

Format

Ftp

Ftp commands

Ftype

G

Goto

Graftabl

Graphics

H

Help

Hostname

I

If

Install

Ipconfig

Ipxroute

Irftp

L

Label

Lastdrive

Libpath

Loadfix

Loadhigh (lh)

Lpq

Lpr

M

Mem

Mkdir (md)

Mode

More

Mountvol

Move

MS-DOS configuration commands

MS-DOS subsystem commands

N

Nbtstat

Net (command options)

Net accounts

Net computer

Net config

Net config server

Net config workstation

Net continue

Net file

Net group

Net help

Net helpmsg

Net localgroup

Net name

Net pause

Net print

Net send

Net session

Net share

Net start

Net start Alerter

Net start Client Service for NetWare

Net start ClipBook Server

Net start Computer Browser

Net start DHCP Client

Net start Directory Replicator

Net start Eventlog

Net start File Server for Macintosh

Net start FTP Publishing Service

Net start Gateway Service for NetWare

Net start Lpdsvc

Net start Messenger

Net start Microsoft DHCP Service

Net start Net Logon

Net start Network DDE

Net start NT LM Security Support Provider

Net start OLE

Net start Print Server for Macintosh

Net start Remote Access Connection Manager

Net start Remote Access ISNSAP Service

Net start Remote Procedure Call (RPC) Locator

Net start Remote Procedure Call (RPC) Service

Net start Schedule

Net start Server

Net start Simple TCP/IP Services

Net start Site Server LDAP Service

Net start SNMP

Net start Spooler

Net start TCP/IP NetBIOS Helper

Net start UPS

Net start Windows Internet Name Service

Net start Workstation

Net statistics

Net stop

Net time

Net use

Net user

Net view

Netsh

Netstat

Nlsfunc

Nslookup

Nslookup subcommands

Ntcmdprompt

O

OS/2 configuration command

P

Path

PathPing

Pause

Pax

Pentnt

Ping

Popd

Portuas

Print

Prompt

Protshell

Pushd

Q

QBasic

R

Rcp

Recover

Redirection

Rem

Rename (ren)

Replace

% (Replaceable parameter)

Rexec

Rmdir (rd)

Route

Rsh

Runas

S

Set

Setlocal

Setver

Share

Shell

Shift

Sort

Stacks

Start

Subst

Switches

T

Tcmsetup

TCP/IP Utilities

Tftp

Time

Title

Tracert

Tree

Type

V

Ver

Verify

Vol

W

Winnt

Winnt32

X

Xcopy


Completing the Enter Network Password dialog box

The Enter Network Password dialog box appears when you attempt to view or access a domain or its resources, but the domain does not recognize the user account you have used to log on. This often occurs when you are logged on as the administrator of a local computer and attempt to access domain resources. To see or access the domain resources, you must provide a valid user name and password that the domain recognizes.

To complete the dialog box, type your domain and user name in the format as shown in the example in the dialog box. You can also type your domain and user name in the following format: domainname\username. If you do not know your domain or user name, contact your system administrator.

If you click Cancel, you may not be able to view a list of domains, access domain resources, or locate domain objects.


Move files by dragging

To move files by dragging

  1. Open Windows Explorer.
  2. Find the file or folder you want to move.
  3. Make sure the destination for the file or folder you want to move is visible.
  4. Drag the file or folder to the destination.

Notes

  • If you drag using the right mouse button, a menu appears with the commands Move Here, Copy Here, Create Shortcut(s) Here, and Cancel. Click the command you want.
  • To copy the item instead of moving it, press and hold down CTRL while dragging.
  • If you drag an item to another disk, it is copied, not moved. To move the item, press and hold down SHIFT while dragging.


Use shortcut menus

To use shortcut menus

  • Right-click a file, folder, or item in Windows Explorer, on the desktop, or on the taskbar.

    The shortcut menu that appears shows the most common commands for that item.

Notes

  • You can also right-click an empty space on the taskbar or desktop.
  • You can press and hold down SHIFT while right-clicking to display a shortcut menu that lists every available command for the file or folder.


Optional component specific

This information is not currently available

The information you are trying to locate only appears in the documentation provided with an optionally-installed Windows component. As such, the applicable Windows component must be installed before you can view this information.

As needed, use Add/Remove Programs in Control Panel to install new Windows components. Follow the instructions that appear in the Window Components wizard.


Protecting against viruses and Trojan horses

In today's computing world, you must prevent intentional intrusions into your computer and network that take the form of viruses and Trojan horses. Follow these tips to help prevent virus outbreaks and Trojan horse attacks.

For users:

  • Educate yourself about viruses and how they are commonly spread. You can unwittingly bring viruses into the network by loading a program from a source such as the Internet, online bulletin board, or even e-mail attachments.
  • Learn the common signs of viruses: unusual messages that appear on your screen, decreased system performance, missing data, and inability to access your hard drive. If you notice any of these problems with your computer, run your virus-detection software immediately to minimize the chances of losing data.
  • Programs on floppy disks may also contain viruses. Scan all floppy disks before copying or opening files on them, or booting from them.
  • Have at least one commercial virus-detection program and use it regularly to check your computers for viruses. Be sure to obtain the latest virus signature files for your program when they are available, because new viruses are created every day.

For administrators:

  • Before putting a new program on the network, install it on a computer not attached to the network, and then check it with your virus-detection software. (Although it's advisable to log on to your computer as a member of the Users group, you should install the program while logged on as a member of the local Administrators group because not all programs install successfully when installed by a member of the Guests group.)
  • Do not allow users to log in as members of the Administrators group on their own computers because viruses can do more damage if activated from an account with Administrator permissions. Users should log on as members of the Users group so that they will have only the permissions necessary to perform their tasks.
  • Require users to create strong passwords so that viruses cannot easily guess passwords and obtain Administrator permissions. (You can set password requirements using the Group Policy snap-in.)
  • Regularly back up files so that damage is minimized if a virus attack does occur.

Note

  • For more information on viruses, consult the documentation for your virus-detection software.


Windows 2000 Registry

Windows 2000 stores its configuration information in a database called the registry. The registry contains profiles for each user of the computer and information about system hardware, installed programs, and property settings. Windows 2000 continually references this information during its operation.

Registry editors are available that enable you to inspect and modify the registry. However, you should not need to do so. Instead, allow Windows 2000 programs to modify the system registry as needed. It is strongly recommended that you do not edit registry settings yourself.

Warning

  • Incorrectly editing the registry may severely damage your system. At the very least, you should back up any valued data on the computer before making changes to the registry.

If you do damage your system, you may be able to repair the registry or restore it to the same version you were using when you last successfully started your computer. Otherwise, you must reinstall Windows 2000. When you reinstall your system, you may lose any changes that have been made, such as Service Pack upgrades, which you must reinstall separately.


Enable RIP Listening

To enable RIP Listening

  1. Click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Click Add/Remove Windows Components.
  3. In Components, select Networking Services (but do not select its check box), and then click Details.
  4. Select the RIP Listener check box, and then click OK.
  5. Click Next, and then follow the instructions in the wizard.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • When you enable RIP Listening (also called silent RIP), your computer can learn other routes on the network by listening to RIP messages, and then adding their IP addresses to the route table. Thus, you do not need to manually add routes to the route table. This service can be useful in some dial-up network situations, such as when the computer is operating as a remote access client over a dial-up connection to a corporate network. In this example, Windows 2000 can listen and dynamically update its default route table to include additional routes valid for the corporate network. These additional routes can improve network access and performance over the dial-up connection by reducing the number of packets that are sent to the incorrect router.
  • Microsoft Routing and Remote Access Service (RRAS) can be configured to send out either RIPv1, RIPv2, or both types of packets. However, RIP listening only listens and updates route information sent by routers that use RIPv1.
  • Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.


Search tips

By using the Search tab, you can locate every occurrence of a word or phrase. To improve the search results, combine multiple words or phrases with AND, OR, NEAR, and NOT.
AND | NEAR | "Phrase"
OR | NOT |
Please select one of the preceding options to see an animated demonstration.
Searching for computer and monitor finds topics that contain both keywords.

This narrows your search.

Searching for computer near monitor finds topics that contain both keywords in close proximity to each other.

This narrows your search.

Searching for "computer monitor" surrounded by quotation marks finds topics that contain this exact phrase.
Searching for computer or monitor finds topics that contain either keyword or both keywords.

This broadens your search.

Searching for computer not monitor finds topics that contain the keyword computer but don't contain the keyword monitor.

This narrows your search.

Example search:
Type in the words to search for:
computer and monitor
computer near monitor
"computer monitor"
computer or monitor
computer not monitor
List Topics
This is only a demonstration. To search for words or phrases, click the Search tab in the Help navigation pane, on the left, where the Table of Contents appears.
Diagram of results:
computer monitor


Secure your computer

If you want to protect data on your computer, you should secure individual files and folders and take steps to secure the physical computer itself. If the computer contains sensitive information, keep it in a safe location.

Other ways to secure your computer include locking it whenever you are away from your desk and setting up a password-protected screen saver. By pressing CTRL+ALT+DEL and clicking Lock Computer, you can prevent unauthorized users from gaining access to your computer. Only you and members of the Administrators group on your computer can unlock it. (You unlock it by pressing CTRL+ALT+DEL, typing your password, and then clicking OK.) You can also set up a screen saver so that whenever the computer is idle for more than a specified length of time, the screen saver starts and the computer automatically locks.


Sending a file

Using the Send To folder, you can quickly send a file to a floppy disk, to the Desktop, to another person using e-mail, or to the My Documents folder. Each user profile in Windows 2000 has a Send To folder, so each user has a specific set of choices for sending items and can modify that set of choices.

You can add other items to the Send To menu by placing them in the Send To folder. The Send To menu is displayed when you right-click a file. Adding other items to the Send To menu is convenient if you frequently perform the same actions on files.

For example, if you gather data files to put into a specific folder for backup or copying to another computer on the network, having the folder on the Send To menu can save you time.


Write digital signature information to a log file

To write digital signature information to a log file

  1. Open File Signature Verification.
  2. Click Advanced.
  3. On the Logging tab, click Save the file signature verification results to a log file.
  4. Select one of the following:
    • Append to existing log file: Adds new search results to the end of an existing log file.
    • Overwrite existing log file: Replaces the existing log file with a new log file.
  5. In Log file name, specify a name for the log file.

    6. When you use File Signature Verification to verify that system files are digitally signed, the search results are written to this file.

  6. Click OK, and then click Start.

Note

  • To start File Signature Verification, click Start, click Run, and then type sigverif.


Verify that system files have a digital signature

To verify that system files have a digital signature

  1. Open File Signature Verification.
  2. Click Start.

    File Signature Verification checks to see which system files are digitally signed and displays its findings. If you have enabled logging, the search results are also written to a log file.

Notes

  • To write digital signature information to a log file, see Related Topics.
  • To start File Signature Verification, click Start, click Run, and then type sigverif.


Check the digital signatures for system or non-system files

To check the digital signatures for system or non-system files

  1. Open File Signature Verification.
  2. Click Advanced.
  3. On the Search tab, select one of the following:
    • Notify me if any system files are not signed

      • Checks only the Windows 2000 system files to see if they have a digital signature.

    • Look for other files that are not digitally signed

      • Enables you to specify the file type and location of non-system files to check for a digital signature.

  4. Click OK, and then click Start.

Note

  • To start File Signature Verification, click Start, click Run, and then type sigverif.


Using File Signature Verification

Sometimes when installing new software on your computer, system files are overwritten by unsigned or incompatible versions, causing system instability. The system files provided with Windows 2000 have a Microsoft digital signature, which indicates that the files are original, unaltered system files or that they have been approved by Microsoft for use with Windows 2000. Using File Signature Verification, you can identify unsigned files on your computer and view the following information about them:

  • The file's name
  • The file's location
  • The file's modification date
  • The file type
  • The file's version number

Open File Signature Verification.

Note

  • To start File Signature Verification, click Start, click Run, and then type sigverif.


System File Checker

System File Checker (sfc.exe) is a command line utility that scans and verifies the versions of all protected system files after you restart your computer. If System File Checker discovers that a protected file has been overwritten, it retrieves the correct version of the file from the %systemroot%\system32\dllcache folder, and then replaces the incorrect file.

Syntax:

sfc [/scannow] [/scanonce] [/scanboot] [/cancel] [/quiet] [/enable] [/purgecache] [/cachesize=x]

Parameters:

/scannow

Scans all protected system files immediately.

/scanonce

Scans all protected system files once.

/scanboot

Scans all protected system files every time the computer is restarted.

/cancel

Cancels all pending scans of protected system files.

/quiet

Replaces all incorrect file versions without prompting the user.

/enable

Returns Windows File Protection to default operation, prompting the user to restore protected system files when files with incorrect versions are detected.

/purgecache

Purges the Windows File Protection file cache and scans all protected system files immediately.

/cachesize=x

Sets the size, in MB, of the Windows File Protection file cache.

Notes

  • You must be logged on as an administrator or as a member of the Administrators group to run System File Checker.
  • If the %systemroot%\system32\dllcache folder becomes corrupt or unusable, use Sfc /scannow, Sfc /scanonce, or Sfc /scanboot to repair the contents of the Dllcache directory.


Windows File Protection

On versions of Windows before Windows 2000, installing software in addition to the operating system may overwrite shared system files such as dynamic link libraries (.dll files) and executable files (.exe files). When system files are overwritten, system performance becomes unpredictable, programs behave erratically, and the operating system fails.

In Windows 2000, Windows File Protection prevents the replacement of protected system files such as .sys, .dll, .ocx, .ttf, .fon, and .exe files. Windows File Protection runs in the background and protects all files installed by the Windows 2000 setup program.

Windows File Protection detects attempts by other programs to replace or move a protected system file. Windows File Protection checks the file's digital signature to determine if the new file is the correct Microsoft version. If the file is not the correct version, Windows File Protection either replaces the file from the backup stored in the Dllcache folder or from the Windows 2000 CD. If Windows File Protection cannot locate the appropriate file, it prompts you for the location. Windows File Protection also writes an event to the event log, noting the file replacement attempt.

By default, Windows File Protection is always enabled and only allows protected system files to be replaced when installing:

  • Windows 2000 Service Packs using Update.exe
  • Hotfix distributions using Hotfix.exe
  • Operating system upgrades using Winnt32.exe
  • Windows Update


Lock a computer

To lock a computer

  1. Press CTRL+ALT+DELETE.
  2. Click Lock Computer.

    3. Windows 2000 displays the Computer Locked dialog box. Your system is now locked, preventing everyone except you or a system administrator from unlocking your system and viewing any open files or programs.

Note

  • To unlock your computer, press CTRL+ALT+DELETE, type your password, and then click OK.


Log on to a computer

To log on to a computer

  1. Start your computer.

    2. Windows 2000 starts and displays the Welcome to Windows screen.

  2. Press CTRL+ALT+DELETE.
  3. In the Log On to Windows dialog box, supply the following:
    • User name

      • The user name is the label that identifies you to Windows 2000, and it is used publicly in many places in the system. You either supplied this name when you installed Windows 2000, or it was provided for you by your network administrator.

    • Password

      • The password is the secret word that identifies you as the person specified by the user name. The password can be up to 127 characters in length and is case-sensitive. For example, if your password is mypassword and you enter MYPASSWORD, Windows 2000 denies access to the computer.

      For more information about creating, changing, and maintaining passwords, see Related Topics.

  4. If the computer is connected to a network, click Options.
  5. In Log on to, enter either a domain on your Windows 2000 Server network, or the computer name of the workstation you are attempting to log on to.

    6. Windows 2000 verifies your account information and provides access to the computer if the information is correct.

Note

  • Windows 95 and Windows 98 support passwords of up to 14 characters. If you're using Windows 2000 on a network which also has computers using Windows 95 or Windows 98, don't create passwords longer than 14 characters. Otherwise, you may not be able to log on to your network from Windows 95 or Windows 98 computers.


Mount a volume at an NTFS folder

To mount a volume at an NTFS folder

  2. In the details pane, right-click an NTFS volume, and then click Change Drive Letter and Path.
  3. In the Change Drive Letter and Paths for dialog box, select the drive you want to mount at an NTFS folder, and then click Add.
  4. In the Add New Drive Letter or Path dialog box, select Mount in this NTFS folder, and then specify the NTFS folder where you want to mount the volume.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.


Troubleshooting DirectX

You can diagnose and resolve DirectX problems using the DirectX Diagnostic Tool and the Multimedia and Games Troubleshooter. The DirectX Diagnostic Tool helps you test the functionality of DirectX, to diagnose problems, and to configure your system to optimize DirectX performance. The DirectX Diagnostic Tool (Dxdiag.exe) is installed with DirectX. For information about using the DirectX Diagnostic Tool, click the Help button in the DirectX Diagnostic Tool.

  • Open the DirectX Diagnostic Tool.

The Multimedia and Games Troubleshooter assists you in diagnosing and repairing problems with DirectX drivers and games.

  • Open the Multimedia and Games Troubleshooter.


Unmount a volume from an NTFS folder

To unmount a volume from an NTFS folder

  2. In the details pane, right-click the drive that contains the mounted volume, and then click Change Drive Letter and Path.
  3. In the Change Drive Letter and Paths for dialog box, select the drive you want to unmount, and then click Remove.
  4. Click Yes.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • When you unmount a volume from an NTFS folder, Windows 2000 removes the mounted volume, but leaves the folder in place.


Update your system files using Windows Update

To update your system files using Windows Update

  1. Go to Windows Update at the Microsoft Web site (http://www.microsoft.com/).
  2. On the Windows Update home page, click Product Updates.

Notes

  • You must be logged on as an administrator or a member of the Administators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To open Windows Update, click Start, and then click Windows Update.
  • Windows Update is a catalog of items such as drivers, patches, help files, and Internet products that you can download to keep your computer up to date.
  • Using the Product Updates section of Windows Update, you can scan your computer for outdated system files and automatically replace them with the most recent versions.
  • Using Windows Update, you can check for the latest help files and download them to your computer.
  • The first time you go to the Product Updates page, click Yes when prompted to install any required software or controls.


Information and support on the Web

The following list contains links to Web sites that provide more information about Windows 2000.

Windows 2000 home page

The latest information about Windows 2000.

Windows home page (http://www.microsoft.com/windows)

Online product support

Additional technical information about Windows 2000.

Online product support (http://www.microsoft.com/support)

Downloads

System updates, device drivers, and new Windows features from Windows Update.

Windows Update (http://windowsupdate.microsoft.com)

Software compatibility

A list of software that is compatible with Windows 2000.

Software compatibility (http://www.microsoft.com/windows)

Hardware compatibility

A list of hardware that is compatible with Windows 2000.

Hardware compatibility (http://www.microsoft.com/hcl)

Deployment

Windows 2000 technical deployment guides.

Deployment (http://www.microsoft.com/windows)

Resource Kit

Windows 2000 Resource Kit Web sites.

Resource Kit (http://windows.microsoft.com/windows2000/reskit)

Accessibility

Information about accessibility resources.

Accessibility (http://www.microsoft.com/enable)


What is DirectX?

Windows 2000 supports DirectX 7.0, which enhances the multimedia capabilities of your computer. DirectX includes accelerated video card and sound card drivers that provide better playback for different types of multimedia, such as full-color graphics, video, 3-D animation, immersive music, and theater sound. DirectX enables these advanced functions without requiring you to identify the hardware components in your computer and ensures that most software runs on most hardware systems.

DirectX is comprised of application programming interfaces (APIs) that are grouped into two classes: the DirectX Foundation layer, and the DirectX Media layer. These APIs enable programs to directly access many of your computer's hardware devices.

The DirectX Foundation layer automatically determines the hardware capabilities of your computer and then sets your programs' parameters to match. This allows multimedia applications to run on any Windows-based computer and at the same time ensures that the multimedia applications take full advantage of high-performance hardware.

The DirectX Foundation layer contains a single set of APIs that provide improved access to the advanced features of high-performance hardware, such as 3-D graphics acceleration chips and sound cards. These APIs control low-level functions, including 2-D graphics acceleration; support for input devices such as joysticks, keyboards, and mice; and control of sound mixing and sound output. The low-level functions are supported by the components that make up the DirectX Foundation layer:

Microsoft DirectDraw

The Microsoft DirectDraw API supports extremely fast, direct access to the accelerated hardware capabilities of a computer's video adapter. It supports standard methods of displaying graphics on all video adapters, and faster, more direct access when using accelerated drivers. DirectDraw provides a device-independent way for programs, such as games and two-dimensional (2-D) graphics packages, and Windows system components, such as digital video codecs, to gain access to the features of specific display devices without requiring any additional information from the user about the device's capabilities.

Microsoft Direct3D Immediate Mode

The Microsoft Direct3D Immediate Mode API (Direct3D) provides an interface to the 3-D rendering functions built into most new video cards. Direct3D is a low-level 3-D API that provides a device-independent way for applications to communicate with accelerator hardware efficiently and powerfully.

Direct3D provides application developers with many advanced features, such as:

  • Switchable depth buffering (using z-buffers or w-buffers)
  • Flat and Gouraud shading
  • Multiple lights and light types
  • Full material and texture support
  • Robust software emulation drivers
  • Transformation and clipping
  • Hardware independence
  • Full hardware acceleration on Windows 2000 (when the appropriate device drivers are available)
  • Built-in support for the specialized CPU instruction sets, including Intel's MMX and Pentium III architectures, and the 3DNow! architecture

Microsoft DirectSound

The Microsoft DirectSound API provides a link between programs and an audio adapter's sound mixing and playback capabilities. It also enables wave sound capture and playback. DirectSound provides multimedia applications with low-latency mixing, hardware acceleration, and direct access to the sound device. It provides this feature while maintaining compatibility with existing device drivers.

Microsoft DirectMusic

The Microsoft DirectMusic API is the musical component of DirectX. Unlike the DirectSound API, which captures and plays digital sound samples, DirectMusic works with message-based musical data that is converted to digital audio either by your sound card or by its built-in software synthesizer. As well as supporting input in Musical Instrument Digital Interface (MIDI) format, DirectMusic provides application developers the ability to create immersive, dynamic soundtracks that respond to user input.

Microsoft DirectInput

The Microsoft DirectInput API provides advanced input for games and processes input from joysticks as well as other related devices including the mouse, keyboard, and other game controllers, such as force-feedback game controllers.

The DirectX Media layer works with the DirectX Foundation layer to provide high-level services that support animation, media streaming (transmission and viewing of audio and video as it is downloaded over the Internet), and interactivity. Like the DirectX Foundation layer, the DirectX Media layer is comprised of several integrated components that include:

Microsoft Direct3D Retained Mode

The Microsoft Direct3D Retained Mode API provides higher-level support for advanced, real-time, three-dimensional (3-D) graphics. Direct3D Retained Mode provides built-in support for graphics techniques like hierarchies and animation. Direct3D Retained Mode is built on top of Direct3D Immediate Mode.

Microsoft DirectAnimation

The Microsoft DirectAnimation API provides integration and animation for different types of media, such as two-dimensional images, three-dimensional objects, sounds, movies, text, and vector graphics.

Microsoft DirectPlay

The Microsoft DirectPlay API supports game connections over a modem, the Internet, or LAN. DirectPlay simplifies access to communication services and provides a way for games to communicate with each other, independent of the underlying protocol, or online service.

Microsoft DirectShow

The Microsoft DirectShow API plays multimedia files located in local files or on Internet servers, and captures multimedia streams from devices, such as video capture cards. DirectShow plays video and audio content compressed in various formats, including MPEG, audio-video interleaved (AVI), and WAV.

Microsoft DirectX Transform

The Microsoft DirectX Transform API enables application developers to create, animate, and edit digital images. DirectX Transform works with both two-dimensional (2-D) images and three-dimensional (3-D) images, which can be used to create stand-alone programs or dynamic plug-ins for Web graphics.


Copy a file or folder to a floppy disk

To copy a file or folder to a floppy disk

  1. Insert the floppy disk into the disk drive.
  2. Open Windows Explorer.
  3. Click the file or folder you want to copy.
  4. On the File menu, point to Send To, and then click 3 1/2 Floppy (A).

Notes

  • You can also copy a file or folder to a floppy disk by right-clicking the file or folder, pointing to Send To, and then clicking 3 1/2 Floppy (A).


Add a destination to the Send To menu

To add a destination to the Send To menu

  1. Open Windows Explorer.
  2. Click the Documents and Settings folder on the drive where Windows 2000 is installed.
  3. Double-click the folder of a specific user.
  4. Double-click the SendTo folder.
  5. Click the File menu, point to New, and then click Shortcut.
  6. Follow the instructions on your screen.

Important

  • The SendTo folder is hidden by default. If it is not visible, click Tools, click Folder Options, click the View tab, and then click Show hidden files and folders.

Note


Add or remove toolbar buttons in folder windows

To add or remove toolbar buttons in folder windows

  1. Open Windows Explorer.
  2. Click the View menu, point to Toolbars, and then click Customize.
  3. To add a button, select a button from the list of Available toolbar buttons, and then click Add.

    To remove a button, select a button from the list of Current toolbar buttons, and then click Remove.

Notes

  • You can change the position of buttons in the toolbar by clicking Move Up or Move Down.
  • You can change the amount of window space used by toolbars in Windows Explorer by changing Text Options or Icon Options.
  • To restore the toolbar buttons to their default settings, click Reset. This does not restore the Text Options or the Icon Options to their original settings.
  • You can also customize the toolbars by right-clicking in the toolbar area, and then clicking one or more of the following options:
    • Standard Buttons
    • Address Bar
    • Links
    • Radio (available only when Windows Media Player is installed and you have an Internet connection)
    • Customize
  • Toolbars are not affected by folder options settings. For more information about folder options, see Related Topics.


Make a copy of a floppy disk

To make a copy of a floppy disk

  1. Open My Computer, and then click the floppy disk you want to copy.
  2. On the File menu, click Copy Disk.
  3. Click the drive you want to copy from and the drive you want to copy to, and then click Start.
  4. Follow the instructions on your screen.

Notes

  • You can use the same drive for both disks.
  • The disks that you copy from and to must be the same type.
  • Existing information on the disk you copy to is deleted during the copy process.
  • The Copy Disk command is not available unless you have selected a floppy disk.


Create a shortcut in a folder

To create a shortcut in a folder

  1. Open Windows Explorer.
  2. In the Folders list, click the folder in which you want to create the shortcut.
  3. On the File menu, point to New, and then click Shortcut.
  4. Follow the instructions on your screen.

Notes

  • Folders can also be opened by double-clicking the folder in the details pane on the right.
  • A shortcut is a quick way to start a frequently used program or open a file or folder without having to go to its installed location. For information about creating shortcuts on the desktop or Start menu, see Related Topics.


Change the appearance of a single folder

To change the appearance of a single folder

  1. Double-click My Documents on the desktop or open Windows Explorer, and then open the folder that you want to customize.
  2. On the View menu, click Customize This Folder.
  3. Follow the instructions in the Customize This Folder wizard.

Notes

  • To change the appearance of the My Documents folder, double-click My Documents on the desktop, click the View menu, and then click Customize This Folder.


Put part of a document on the desktop

To put part of a document on the desktop

  1. In your document, select the text or graphic that you want to copy.
  2. Drag it to the desktop.

Notes

  • Once on the desktop, the text or graphic becomes a scrap, which you can drag to other documents or programs.
  • You can use this feature only if the program you are using supports OLE drag-and-drop functions. For example, Notepad does not support OLE.


Send files to another place quickly

To send files to another place quickly

  1. Open Windows Explorer.
  2. Click the file you want to send.
  3. On the File menu, point to Send To, and then click the destination.

Note


Format a disk

To format a disk

  1. If the disk you want to format is a floppy disk, insert it into its drive. Otherwise, skip to step 2.
  2. Open My Computer, and then click the disk you want to format.
  3. On the File menu, click Format.
  4. Select or specify any of the following options that you want:
    • Capacity (floppy disks only)
    • File system (disk drives only)
    • Allocation unit size (NTFS only)
    • Volume label
    • Quick Format
    • Enable Compression (NTFS only)
  5. Click Start.

Important

  • Formatting a disk removes all information from the disk.

Notes

  • Quick Format removes files from the disk without scanning the disk for bad sectors. Use this option only if the disk has been previously formatted and you are sure the disk is not damaged. For information about any of the options, select the option, click the question mark, and then click the option again.
  • You cannot format a disk if files are open on the disk, the contents of the disk are displayed, or the disk contains the system or boot partition.
  • You can also format a disk by using Disk Management. For more information about Disk Management, see Related Topics.
  • Additional information on file systems is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see Choosing between NTFS, FAT, and FAT32.


Determine how much space is available on a disk

To determine how much space is available on a disk

  • Open My Computer, and then click the disk you want to check.

Notes

  • The amount of free space appears in the status bar at the bottom of the screen. If you cannot see the free space, drag the right side of the window to enlarge it.
  • If the status bar is not visible, click the View menu, and then click Status Bar.
  • If you have turned on Web content in folders, you can select the disk to display the free space on the left side of the folder window.
  • You can also view the free space and other disk properties by right-clicking the disk and then clicking Properties.


Name a disk

To name a disk

  1. Open My Computer, and then click the disk you want to name.
  2. On the File menu, click Properties.
  3. In Label, type a name for the disk.

Notes

  • To change an existing label, select it, and then type a new name.
  • If your computer uses the FAT file system, the label can contain up to 11 characters. If your computer uses NTFS, the limit is 32 characters. Additional information on file systems is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see Choosing between NTFS, FAT, and FAT32.


Add a shortcut to the Start menu or a submenu

To add a shortcut to the Start menu or a submenu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab.
  3. Click Add, and then follow the instructions in the Create Shortcut wizard.

Note

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Add a shortcut to the Start menu or a submenu for a group of users

To add a shortcut to the Start menu or a submenu for a group of users

  1. Make sure you are logged on as an administrator.
  2. Right-click Start, and then click Open All Users.
  3. On the File menu, point to New, and then click Shortcut.
  4. Follow the instructions in the Create Shortcut wizard.

Notes

  • Any shortcuts you add will appear on the menu you specified (usually the Start or Programs menu) for all users who log on to the computer.
  • An administrator can cut, copy, delete, rename, or move shortcuts for a group of users. For example, an administrator might want all users to have WordPad listed in the Start menu.
  • To add a shortcut on the Start menu to each user's personal profile folder, on the first screen of the Create Shortcut wizard, type %userprofile%, click Next, and then in Select a Title for the Program, type a generic title (for example, Your user profile folder).


Add a program to the Quick Launch bar

To add a program to the Quick Launch bar

  • In My Computer or Windows Explorer, click the icon for the program you want to add, and drag it to the Quick Launch portion of the taskbar.

    The icon for that program appears next to the other Quick Launch icons on the taskbar.

Note

  • If the Quick Launch bar is not displayed, right-click an empty area on the taskbar, click Toolbars, and then click Quick Launch.


Add a submenu to the Start menu

To add a submenu to the Start menu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab, and then click Advanced.
  3. On the File menu, point to New, and then click Folder.
  4. Type a name for your new submenu, and then press ENTER.

Notes

  • To add programs to a submenu, in My Computer or Windows Explorer, click the icon for the program you want to add, and drag it to Start, and then to the submenu.
  • You can either create new shortcuts or move existing shortcuts into the folder.
  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Add a submenu to the Start menu for a group of users

To add a submenu to the Start menu for a group of users

  1. Make sure you are logged on as an administrator.
  2. Right-click Start, and then click Open All Users.
  3. Double-click the folder in which you want to add a submenu, usually the Programs folder.
  4. On the File menu, point to New, and then click Folder.
  5. Type a name for your new submenu, and then click an empty space on the desktop.

Notes

  • To add programs to a submenu, in My Computer or Windows Explorer, click the icon for the program you want to add, drag it to Start, and then to the submenu.
  • You can either create new shortcuts or move existing shortcuts into the folder. Any shortcuts you add will appear on the Start menu for all users who log on to the computer.
  • An administrator can cut, copy, delete, rename, or move shortcuts for a group of users. For example, an administrator may want to define a custom submenu that holds word-processing programs. In this example, you could create a folder called Word Processing Programs, and then move shortcuts to WordPad, Notepad, and other word-processing programs into the folder.


Change your computer's settings

To change your computer's settings

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click the icon that represents the settings you want to change.


Clear the contents of the Documents menu

To clear the contents of the Documents menu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab.
  3. In Customize Start menu, click Clear.

Note

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Customize the taskbar or Start menu

To customize the taskbar or Start menu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. In the Taskbar and Start Menu Properties dialog box, make the changes you want on the General and Advanced tabs.

Note

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Displaying programs on the Start menu

When you click Start, you can open programs on your hard disk by using shortcuts. Program shortcuts are usually listed in the Start menu and submenus. The program shortcuts, folders, and submenus listed in the Start menu come from several places:

  • Previous versions of Windows. If you upgraded from an earlier version of Windows or Windows NT, your old program groups appear as folders on the Programs menu.
  • Windows 2000 Setup. Windows 2000 Setup adds several standard folders, each of which contains a group of programs. One of these folders is called Startup; the programs within appear on the Startup menu and run automatically when you start your computer.

  • Other software setup programs. The setup programs for any software you install may add folders to the Programs menu.

  • Shortcuts. You can create shortcuts to programs using the Taskbar Properties dialog box, or you can drag icons to your desktop or taskbar. Your administrator may also create shortcuts for groups of users.


Display the taskbar

To display the taskbar

  • If the taskbar is hidden, click Start, point to Settings, click Taskbar & Start Menu, and then clear the Auto hide check box.
  • If you have temporarily hidden the taskbar by dragging the top edge down, drag the visible edge upward to redisplay the taskbar.

Note

  • To open the Taskbar Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Arrange all open windows

To arrange all open windows

  1. Right-click an empty area on the taskbar.
  2. Click Cascade Windows, Tile Windows Horizontally, or Tile Windows Vertically.

Notes

  • Windows reduced to taskbar buttons will not be displayed.
  • To restore your windows to their previous state, right-click an empty area on the taskbar, and then click Undo Cascade or Undo Tile.


Hide the taskbar

To hide the taskbar

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Select the Auto hide check box.

Notes

  • To redisplay the taskbar, point to the area of your screen where the taskbar is located.
  • You can temporarily hide the taskbar by dragging the top edge down. To redisplay the taskbar, drag the visible edge upward.
  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Log off from the computer so someone else can use it

To log off from the computer so someone else can use it

  1. Click Start, and then click Shut Down.
  2. Select Log off from the drop-down list.

Notes

  • This closes all programs, disconnects the computer from the network, and prepares the computer to be used by someone else.
  • You can also log off your computer by pressing CTRL+ALT+DELETE, and then clicking Log Off.


Change the Start menu settings

To change the Start menu settings

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab.
  3. In Start Menu Settings, select or clear the options you want to turn on or off.

    4. This option | Does this
Display Administrative Tools | Adds the Administrative Tools menu to the Programs menu.
Display Favorites | Adds the Favorites menu to the Start menu.
Display Logoff | Adds a Logoff command to the Start menu.
Expand Control Panel | Displays the Control Panel menu contents in a list instead of a window.
Expand My Documents | Displays the My Documents menu contents in a list instead of a window.
Expand Network and Dial-up Connections | Displays the Network Dial-up Connections menu contents in a list instead of a window.
Expand Printers | Displays the Printers menu contents in a list instead of a window.
Scroll the Programs menu | Displays the contents of the Programs menu in a scrolling list instead of columns.

Note

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.


Move the taskbar

To move the taskbar

  • Click an empty area on the taskbar, and then drag the taskbar to a different location on the desktop.


Open a recently used file

To open a recently used file

  • Click Start, point to Documents, and then click the item you want to open.

Note

  • Some programs cannot add items to the Documents menu, in which case an item you've used recently may not be listed here. If you are looking for an item that is not listed, you can click Search on the Start menu to locate the item.


Using Personalized Menus

Personalized Menus keeps the Programs menu clean by hiding items you haven't used recently, while keeping all of your programs easily accessible.

When Personalized Menus is turned on, Windows 2000 keeps track of which programs you use each time you use your computer, and hides the programs you have not used in a long time.

You can still gain access to hidden programs by clicking Start, pointing to Programs, and then clicking the down arrow at the bottom of the menu.

To turn on Personalized Menus, click Start, point to Settings, click Taskbar & Start Menu, and then select Use Personalized Menus on the General tab.


Customize items on the Start menu

To customize items on the Start menu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab, and then click Advanced.
  3. Click the item you want to customize.
  4. Click the File menu or Edit menu to view the commands available for customizing the item.

Notes

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.
  • Depending on the items you select, you can cut, copy, delete, rename, or move them on the Start menu.


Remove a shortcut from the Start menu or a submenu

To remove a shortcut from the Start menu or a submenu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab, and then click Remove.
  3. Click the item you want to remove, and then click Remove.

Notes

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.
  • When you remove a program shortcut, the original program remains on your computer.
  • You can also remove a program shortcut from the Start menu by dragging the icon from the Start menu or submenu to the Recycle Bin. You may need to move the Recycle Bin icon on your desktop so that it is visible.


Remove a submenu from the Start menu

To remove a submenu from the Start menu

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab, and then click Advanced.
  3. Click the icon for the submenu you want to remove.
  4. On the File menu, click Delete.

Notes

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.
  • To remove a submenu from the Programs menu, double-click Programs between steps 2 and 3.


Restart your computer

To restart your computer

  1. Click Start, and then click Shut Down.
  2. In the What do you want the computer to do? list, click Restart.

Note

  • You can also restart your computer by pressing CTRL+ALT+DELETE, clicking Shut Down, and then clicking Restart in the What do you want the computer to do? list.


Shut down your computer

To shut down your computer

  1. Click Start, and then click Shut Down.
  2. In the What do you want the computer to do? list, click Shut down.

Important

  • Do not turn off your computer until a message appears telling you that it is safe to do so. Windows 2000 stores important data in memory while the system is running, and needs to write the data to the hard disk before you turn off the computer. After the data is saved, Windows 2000 notifies you that it is okay to turn off the computer.

Note

  • You can also shut down your computer by pressing CTRL+ALT+DELETE, clicking Shut Down, and then clicking Shut down in the What do you want the computer to do? list.


Specify a path to a document or program

There are several ways to open a document or run a program by specifying its path:

  • From within programs (for example, in the Open dialog box).
  • By clicking Start, clicking Run, and then typing the path.
  • By clicking Start, pointing to Programs, pointing to Accessories, clicking Command Prompt, and then typing the path in the MS-DOS window.

To specify a path, type the drive letter followed by a colon (:) and a backslash (\), type the names of the folders and subfolders that contain the file, separating each name with a backslash, and then type the name of the file or folder you want to open.

For example, to specify a path to WordPad located on drive C, you would type:

c:\program files\windows nt\accessories\wordpad.exe

In MS-DOS, if the name of a file or folder in the path contains spaces or special characters, you must enclose the entire path in double quotation marks (""). Therefore, to open WordPad from MS-DOS, you would type:

"c:\program files\windows nt\accessories\wordpad.exe"


Start a program as a taskbar button or as a maximized window

To start a program as a taskbar button or as a maximized window

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab, and then click Advanced.
  3. In the Start Menu folder, find the shortcut to the program you want to start, and then click it.
  4. On the File menu, click Properties, and then click the Shortcut tab.
  5. In the Run list, click Minimized if you want the program to open as a taskbar button, or click Maximized if you want the program to open as a full-screen window.

Notes

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.
  • Starting a program as a taskbar button is useful for the program shortcuts in your Startup menu. To use the program, click its button on the taskbar.
  • Starting a program in a maximized window is useful for items you typically run in a full screen, such as your word processing program. Each time you start the program, it will open in a full-screen window.


Start a program

To start a program

  • Click Start, point to Programs, locate the program you want to start, and then click it.

Notes

  • After you start a program, a button representing the program appears on the taskbar. To switch from one running program to another, click its taskbar button.
  • If a program doesn't appear on the Programs menu or one of its submenus, you can perform a search for it, create a shortcut, and then drag the shortcut to the Start or Programs menu.


Start a program each time you start Windows 2000

To start a program each time you start Windows 2000

  1. Click Start, point to Settings, and then click Taskbar & Start Menu.
  2. Click the Advanced tab, and then click Advanced.
  3. In the Start Menu folder, find the shortcut to the program you want to start each time you start Windows 2000, and drag it to the Startup folder.

Notes

  • To open the Taskbar and Start Menu Properties dialog box, right-click an empty area on the taskbar, and then click Properties.
  • To add a program shortcut to the Startup menu, drag the icon to the Start button, the Programs menu, and then drop it in the Startup menu.


Start a program by using the Run command

To start a program by using the Run command

  1. Click Start, and then click Run.
  2. In Open, type the path to the item you want to open, or click Browse to locate it.

Notes

  • The Open box lists items you have opened recently. Click an item in the list, and then click OK to open it.
  • You can open a file or folder or connect to a shared computer by typing its path in the Open box. You can also connect to an Internet or intranet site; for example, to reach the Microsoft Web site, type www.microsoft.com in the Open box.


Switch between running programs

To switch between running programs

  • Click a program's button on the taskbar.

Notes

  • If you cannot see the taskbar, you may have the Auto hide feature turned on. To redisplay the taskbar, point to the area of your screen where the taskbar is located.
  • You can also switch to the last open program or document by pressing ALT+TAB, or cycle through open windows by holding down ALT and repeatedly pressing TAB.


Add toolbars to the taskbar

To add toolbars to the taskbar

  1. Right-click an empty area on the taskbar.
  2. Point to Toolbars, and then click the toolbar you want to add.
    • The Quick Launch bar makes it easy to open an Internet Explorer window, read your e-mail, or access frequently used programs.
    • The Address bar lets you quickly go to any Web page you specify.
    • The Desktop toolbar places items from your desktop such as the Recycle Bin and My Computer on the taskbar.

Notes

  • You can resize the toolbar you create or move it to another location on the taskbar by pointing to the vertical bar on the left side of the toolbar and dragging it to the left or right.
  • You can create a floating toolbar by dragging it from the taskbar to the desktop.
  • To remove one of the toolbars from the taskbar, right-click an empty area on the taskbar, point to Toolbars, and then click one of the checked toolbars.


Minimize or maximize a window or restore it to its previous size

To minimize or maximize a window or restore it to its previous size

  • Click the appropriate button in the upper right corner of the window:
    • Click minimize button to minimize the window to a taskbar button. To restore the minimized window to its previous size, click its taskbar button.
    • Click maximize button to display the window in a full screen.
    • After maximizing a window, click restore down button to restore the window to its previous size.

Notes

  • You can also double-click the window's title bar to maximize it or restore it to its previous size.
  • To minimize all open windows and dialog boxes, click show desktop button on the taskbar. Minimized windows appear as buttons on your taskbar, but dialog boxes do not. Click show desktop button again to restore all windows and dialog boxes to their previous size.


Close a window or a taskbar button

To close a window or a taskbar button

  • To close a window, click close button in the upper right corner of the window.
  • To close a taskbar button, right-click the taskbar button, and then click Close.


Reduce all open windows to taskbar buttons

To reduce all open windows to taskbar buttons

  • Click show desktop button on the taskbar.

Notes

  • The show desktop button button is only available when the Quick Launch bar is turned on.
  • All open windows and dialog boxes are minimized. Minimized windows appear as buttons on your taskbar, but dialog boxes do not. To restore all windows and dialog boxes to their previous state, click show desktop button again.
  • You can also reduce all open windows to taskbar buttons by right-clicking an empty area on the taskbar and then clicking Minimize All Windows; however, this option does not minimize dialog boxes. To restore all the windows to their previous state, right-click an empty area on the taskbar, and then click Undo Minimize All.


Resize an open window

To resize an open window

  • To change the width, point to the left or right window border. When the pointer changes into a horizontal double-headed arrow, drag the border to the right or left.
  • To change the height, point to the top or bottom window border. When the pointer changes into a vertical double-headed arrow, drag the border up or down.
  • To change the height and width simultaneously, point to any window corner. When the pointer changes into a diagonal double-headed arrow, drag the border in any direction.

Note

  • You cannot resize a window when it is displayed in a full screen (maximized).


Working with shortcuts on the Start menu

When you add a program to the Start menu or any submenu on the Start menu (usually the Programs menu), you are actually adding a shortcut to the program. The original item exists on the hard disk. Shortcuts on the Start menu provide quick access to your programs and files, and you can organize shortcuts to suit your needs. You can easily add, delete, move, or rename shortcuts on the Start menu and any submenus. You can accomplish most of these tasks directly from the desktop:

  • You can drag any shortcut icon to the Start button, and then to the location where you want it to appear in the Start menu.
  • You can drag a shortcut directly from the Start button to any location on your desktop. If you want to remove a shortcut, drag it to the Recycle Bin. The original item will still exist on the disk.
  • You can rename a shortcut directly on the Start menu by right-clicking the shortcut, clicking Rename, and then typing the new name in the Rename dialog box.
  • If you want to change the order of shortcuts and folders on the Start menu, you can drag items to different locations using Windows Explorer or the desktop.


Change the appearance of items in a folder

To change the appearance of items in a folder

  1. Open Windows Explorer.
  2. Click the View menu, and then click Large Icons, Small Icons, List, Details, or Thumbnails.

Notes

  • On the View menu, you can also point to Arrange Icons and, depending on the folder, sort items by categories such as date, name, size, and type.
  • When you use the Details view, you can also select the columns that you want to be visible by clicking the View menu, clicking Choose Columns, and then following the instructions on your screen.


Compress a file or folder on an NTFS drive

To compress a file or folder on an NTFS drive

  1. Open Windows Explorer.
  2. Right-click the file or folder that you want to compress.
  3. Click Properties.
  4. Click Advanced.
  5. Select the Compress contents to save disk space check box.
  6. If you have chosen to compress a folder, click the option that you want when you are prompted to confirm the attribute changes.

Notes

  • You can compress files and folders only on drives formatted with NTFS. If the Advanced button does not appear, the file or folder you selected is not on an NTFS drive.
  • If you add or copy a file into a compressed folder, it is compressed automatically. If you move a file from a different NTFS drive into a compressed folder, it is also compressed. However, if you move a file from the same NTFS drive into a compressed folder, the file retains its original state, either compressed or uncompressed.
  • Compressed files and folders cannot be encrypted.
  • To display compressed files in a different color than other files, see Related Topics.
  • Additional information on NTFS is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see NTFS.


Compress an NTFS drive

To compress an NTFS drive

  1. Open My Computer, and then click the NTFS drive that you want to compress.
  2. On the File menu, click Properties.
  3. Select the Compress drive to save disk space check box.

Notes

  • Additional information on NTFS is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see NTFS.


Map a drive letter to a network computer or folder

To map a drive letter to a network computer or folder

  1. Open Windows Explorer.
  2. On the Tools menu, click Map Network Drive.
  3. In Drive, select the drive letter to map to the shared resource.
  4. In Folder, type the server and share name of the resource, in the form of \\servername\sharename. Or click Browse to locate the resource.

Notes

  • To reconnect to the mapped drive every time you log on, select the Reconnect at logon check box.
  • Mapped drives are available only when the host computer is also available.
  • You can assign a mapped drive to a different drive letter by disconnecting from the drive and then remapping it to a new drive letter.


Copy or move a file or folder

To copy or move a file or folder

  1. Open Windows Explorer.
  2. Click the drive or folder you want to work with.
  3. Click the file or folder you want to copy or move.
  4. On the Edit menu, click Copy. Or, click Cut to move the item.
  5. Open the folder or disk where you want to copy or move the item.
  6. On the Edit menu, click Paste.

Notes

  • To select consecutive files or folders to copy or move, click the first item, press and hold down SHIFT, and then click the last item.
  • To select files or folders that are not consecutive, press and hold down CTRL, and then click each item.


Create a new folder

To create a new folder

  1. Open Windows Explorer.
  2. Click the drive or folder in which you want to create a new folder.
  3. On the File menu, point to New, and then click Folder.
  4. Type a name for the new folder, and then press ENTER.

Note

  • You can also create a new folder by right-clicking a blank area in the right pane of Windows Explorer or on the desktop, pointing to New, and then clicking Folder.


Delete a file or folder

To delete a file or folder

  1. Open Windows Explorer.
  2. Click the file or folder you want to delete.
  3. On the File menu, click Delete.

Notes

  • Deleted files remain in the Recycle Bin until you empty it unless you press and hold down SHIFT while dragging an item to the Recycle Bin. Then the item is deleted from your computer without being stored in the Recycle Bin.
  • If you want to retrieve a file you have deleted, double-click Recycle Bin on the desktop, right-click the file you want to retrieve, and then click Restore.
  • You can also delete files or folders by right-clicking the file or folder and then clicking Delete.


Disconnect from a network drive

To disconnect from a network drive

  1. Open Windows Explorer.
  2. Click the Tools menu, and then click Disconnect Network Drive.
  3. Click the resource that you want to remove, and then click OK.

Note


See the hierarchy of folders on a disk drive

To see the hierarchy of folders on a disk drive

  1. Open Windows Explorer.
  2. Click a drive or folder in the Folders pane to display the contents of the drive or folder.

Notes

  • If the Folders pane is not visible, click Folders in the toolbar.
  • To display subfolders, in the Folders pane, click the plus sign (+) next to the folder. Or, double-click the folder.
  • To change the size of either side of the window, drag the bar that separates the two sides.


Put a shortcut on the desktop

To put a shortcut on the desktop

  1. Open Windows Explorer.
  2. Click the item, such as a file, program, folder, printer, or computer, for which you want to create a shortcut.
  3. On the File menu, click Create Shortcut.
  4. Drag the shortcut icon from Windows Explorer onto the desktop.

Notes

  • You can use the shortcut as a fast way to open the item.
  • To change any settings for the shortcut, such as the kind of window it starts in or the key combination that opens it, right-click the shortcut, and then click Properties.
  • When you delete a shortcut, the original item still exists on the disk.
  • You can also drag the item to the desktop with the right mouse button, and then click Create Shortcut(s) Here.


See what's on your computer

To see what's on your computer

  1. Open My Computer, and then double-click the drive you want to see.
  2. Double-click a folder to see its contents.

Notes

  • To return to the previous folder, press BACKSPACE or click the Back button on the toolbar. If the toolbar is not visible, click the View menu, point to Toolbars, and then click Standard Buttons.
  • You can also use Windows Explorer to see the hierarchy of all folders on your computer.


Managing Web documents

When you save a Web document from Internet Explorer to a given folder, Internet Explorer creates a folder that contains all of the embedded Web files that the document requires, including images. The new folder has the same name as the Web document, with the addition of the word files. For example, if you save a file named My Document.htm, Internet Explorer creates a folder named My Document files, which contains the embedded Web files. By default, Web documents are saved to your My Documents folder.

The links from the Web document to the embedded Web files are preserved so that when you open the document again you can see all of the images that appeared on the page when you saved the document.

When you move or copy a Web document, the folder that contains the embedded Web files is also moved or copied. When you open your document in the new location, the images appear on the page just as they were when you first saved the document.


Move a file or folder

To move a file or folder

  1. Open Windows Explorer.
  2. Click the file or folder you want to move.
  3. On the Edit menu, click Cut.
  4. Open the folder where you want to put the file or folder.
  5. On the Edit menu, click Paste.

Notes

  • To select more than one file or folder to move, press and hold down CTRL, and then click the items you want.
  • To select a consecutive group of files, click the first file, press and hold down SHIFT, and then click the last file.
  • You can also move a file or folder by dragging it to the intended location. For more information about dragging, see Related Topics.


Open a file or folder

To open a file or folder

  1. Open My Computer, and then double-click the drive that contains the file.
  2. Double-click the file or folder you want to open.

Notes

  • To open a file or folder by using Windows Explorer, click Start, point to Programs, point to Accessories, click Windows Explorer, and then double-click the file or folder you want to open.
  • If the file you want to open is not associated with a particular program, you can select the program used to open the file by right-clicking the file, clicking Open With, and then selecting the name of the program.
  • You can use commands on the View menu to change the way files are displayed. You can also use the View tab in the Folder Options dialog box to change file and folder settings.


Change the program that opens a file

To change the program that opens a file

  1. Open Windows Explorer.
  2. Click the file that you want a different program to open.
  3. On the File menu, click Properties.
  4. Click Change.
  5. Click the name of the program that you want to open the file, or click Other to select a program that is not listed.

Notes

  • This change affects all files that have the same file name extension as the file you selected. For example, if you change the program that opens a .jpg file, all .jpg files will open in this program.
  • You can also specify a different program by selecting a file that you changed, clicking the File menu, clicking Open With, and then clicking a program name, or clicking Other, and then selecting the name of the program.


Change the name of a file or folder

To change the name of a file or folder

  1. Open Windows Explorer.
  2. Click the file or folder you want to rename.
  3. On the File menu, click Rename.
  4. Type the new name, and then press ENTER.

Notes

  • You do not need to open the file or folder to rename it.
  • A file name can contain up to 215 characters, including spaces. However, it is not recommended that you create file names with 215 characters. Most programs cannot interpret extremely long file names. File names cannot contain the following characters:
    \ / : * ? " < > |
  • You can also rename a file or folder by right-clicking it and then clicking Rename.
  • The name of system folders such as Documents and Settings, Winnt, or System32 cannot be changed because they are required for Windows to run properly.


Specify a different user name to run a shortcut to a program

To specify a different user name to run a shortcut to a program

  1. Open Windows Explorer.
  2. If necessary, create a shortcut to the program by right-clicking the program, and then clicking Create Shortcut.
  3. Right-click the shortcut to the program, and then click Properties.
  4. On the Shortcut tab, select the Run as different user check box, and then click OK.
  5. Double-click the shortcut to the program.
  6. Do one of the following:
    • Select Run the program as domain\username.
    • Select Run the program as the following user, and then enter the user name, password, and domain.

Notes

  • The Run as different user check box is available only on shortcuts to programs (files with a .exe extension). This option is useful when performing administrative tasks on computers where you are not logged on as an administrator and therefore cannot perform certain tasks on the computer.
  • When the Run as different user check box is selected:
    • You can right-click the shortcut, and then click Run as to specify the user name with which to run the program.
    • You are prompted to specify a user name with which to run the shortcut each time you open the shortcut to the program.


Select multiple files and folders

To select multiple files and folders

  1. Open Windows Explorer.
  2. Click the drive or folder you want to work with, and then do one of the following:
    • To select consecutive files or folders, click the first item, press and hold down SHIFT, and then click the last item.
    • To select files or folders that are not consecutive, press and hold down CTRL, and then click each item.
    • To select all the files and folders in the window, click the Edit menu, and then click Select All.

Note


View a thumbnail version of files in selected folders

To view a thumbnail version of files in selected folders

  1. Open Windows Explorer.
  2. Click the folder that contains the files you want to view in a thumbnail version.
  3. On the View menu, click Thumbnails.

Notes

  • Thumbnail versions of files are created for graphical file formats only.
  • To remove the thumbnail view, click the View menu, and then click Large Icons, Small Icons, List, or Details.


Change file or folder properties

To change file or folder properties

  1. Open Windows Explorer.
  2. Click the file or folder whose properties you want to change.
  3. On the File menu, click Properties.

Notes

  • You can also right-click a file or folder and then click Properties.
  • To change properties for archiving, indexing, compression, or encryption on NTFS drives, right-click the file or folder, click Properties, click Advanced, and then select the options you want to change. Additional information on NTFS is available. If you are using Windows 2000 Professional, see the Windows 2000 Professional Getting Started online book. If you are using Windows 2000 Server, see NTFS.


Change your password

To change your password

  • Press CTRL+ALT+DELETE and then click Change Password.

Note

  • Password security depends on creating strong passwords and protecting them. For more information, see Related Topics.


Protecting your passwords

To ensure security, passwords must be used carefully. These recommendations will help protect your passwords:

  • Never write down your password.
  • Never share passwords with anyone.
  • Never use your network logon password for another purpose.
  • Use different passwords for your network logon and the Administrator account on your computer.
  • Change your network password every 60 to 90 days.
  • Change your password immediately if you think it has been compromised.

You should also be careful about where you save your password on your computer. Some dialog boxes, such as those for remote access and other telephone connections, present an option to save or remember your password. Do not select that option.


Creating strong passwords

Good computer security includes the use of strong passwords for your network logon and the Administrator account on your computer.

For a password to be strong and hard to break, it should:

  • Be at least seven characters long.
  • Contain characters from each of the following three groups:
    • Description | Examples
Letters (uppercase and lowercase) | A, B, C,...; a, b, c,...
Numerals | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
Symbols (all characters not defined as letters or numerals) | ` ~ ! @ # $ % ^ & * ( ) _ + - = { } | [ ] \ : " ; ' < > ? , . /
  • Have at least one symbol character in the second through sixth positions.
  • Be significantly different from prior passwords.
  • Not contain your name or user name.
  • Not be a common word or name.

Passwords can be the weakest link in a computer security scheme. Strong passwords are important because password cracking tools continue to improve and the computers used to crack passwords are more powerful. Network passwords that once took weeks to break can now be broken in hours.

Password cracking software uses one of three approaches: intelligent guessing, dictionary attacks, and automation that tries every possible combination of characters. Given enough time, the automated method can crack any password. However, it still can take months to crack a strong password.

Windows 2000 passwords can be up to 127 characters long. However, if you are using Windows 2000 on a network that also has computers using Windows 95 or Windows 98, consider using passwords not longer than 14 characters. Windows 95 and Windows 98 support passwords of up to 14 characters. If your password is longer, you may not be able to log on to your network from those computers.

For more information about protecting your passwords, see Related Topics.


Add yourself to a group

To add yourself to a group

  2. In the console tree, click Groups.

    Where?

    • Computer Management
    • System Tools
    • Local Users and Groups
    • Groups
  3. Double-click the group you want to join, and then click Add.
  4. In Name, type your user name, click Add, and then click OK.

    If your computer is part of a network, type your complete user name as follows: domainname\username.

Notes

  • Only a member of the Administrators group can add a user to the Administrators, Backup Operators, or Replicators group.


Default security settings

The default security settings for Windows 2000 can be described by summarizing the permissions granted to four default groups (Administrators, Power Users, Users, and Backup Operators) and three special groups.

Administrators

Members of the Administrators group can perform all functions supported by the operating system. The default security settings do not restrict administrative access to any registry or file system object. Administrators can grant themselves any rights that they do not have by default.

Ideally, administrative access should only be used to:

  • Install the operating system and components (such as hardware drivers, system services, and so on).
  • Install Service Packs and Windows Packs.
  • Upgrade the operating system.
  • Repair the operating system.
  • Configure critical operating system parameters (such as password policy, access control, audit policy, kernel mode driver configuration, and so on).
  • Take ownership of files that have become inaccessible.
  • Manage the security and auditing logs.
  • Back up and restore the system.

In practice, Administrator accounts often must be used to install and run programs written for previous versions of Windows.

Users

The Users group provides the most secure environment in which to run programs. On a volume formatted with NTFS, the default security settings on a newly installed system (but not on an upgraded system) are designed to prevent members of this group from compromising the integrity of the operating system and installed programs. Users cannot modify system-wide registry settings, operating system files, or program files. Users can shut down workstations, but not servers. Users can create local groups, but can manage only the local groups that they created. They can run certified Windows 2000 programs that have been installed or deployed by administrators. Users have full control over all of their own data files (%userprofile%) and their own portion of the registry (HKEY_CURRENT_USER).

Users cannot install programs that can be run by other Users (this prevents Trojan horse programs). They also cannot access other Users' private data or desktop settings.

To secure a Windows 2000 system, an administrator should:

  • Make sure that end users are members of the Users group only.
  • Deploy programs, such as certified Windows 2000 programs, that members of the Users group can run successfully.

Users will not be able to run most programs written for previous versions of Windows because previous versions of Windows either did not support file system and registry security (Windows 95 and Windows 98) or shipped with lax default security settings (Windows NT). If Users have problems running legacy applications on newly installed NTFS systems, then do one of the following:

  1. Install new versions of the applications that are certified for Windows 2000.
  2. Move end users from the Users group into the Power Users group.
  3. Decrease the default security permissions for the Users group. This can be accomplished by using the compatible security template. For more information, see "Predefined security templates" in Related Topics.

Power Users

Members of the Power Users group have more permissions than members of the Users group and fewer than members of the Administrators group. Power Users can perform any operating system task except tasks reserved for the Administrators group. The default Windows 2000 security settings for Power Users are very similar to the default security settings for Users in Windows NT 4.0. Any program that a User can run in Windows NT 4.0, a Power User can run in Windows 2000.

Power Users can:

  • Run legacy applications in addition to Windows 2000 certified applications.
  • Install programs that do not modify operating system files or install system services.
  • Customize system-wide resources including Printers, Date/Time, Power Options, and other Control Panel resources.
  • Create and manage local user accounts and groups.
  • Stop and start system services which are not started by default.

Power Users do not have permission to add themselves to the Administrators group. Power Users do not have access to the data of other users on an NTFS volume, unless those users grant them permission.

Warning

  • Running legacy programs on Windows 2000 often requires modify access to certain system settings. The same default permissions that allow Power Users to run legacy programs also make it possible for a Power User to gain additional privileges on the system, even complete administrative control. Therefore, it is important to deploy certified Windows 2000 programs in order to achieve maximal security without sacrificing program functionality. Programs that are certified for Windows 2000 can run successfully under the secure configuration provided by the Users group. For more information, see Securing Windows 2000 Installations at the Microsoft Security Advisor Web site.
  • Since Power Users can install or modify programs, running as a Power User when connected to the Internet could make the system vulnerable to Trojan horse programs and other security risks. For more information, see "Why you should not run your computer as an administrator" in Related Topics.

Backup Operators

Members of the Backup Operators group can back up and restore files on the computer, regardless of any permissions that protect those files. They can also log on to the computer and shut it down, but they cannot change security settings.

Warning

  • Backing up and restoring data files and system files requires permissions to read and write those files. The same default permissions granted to Backup Operators that allow them to back up and restore files also make it possible for them to use the group's permissions for other purposes, such as reading another user's files or installing Trojan horse programs. Group Policy settings can be used to create an environment in which Backup Operators only can run a backup program. For more information, see Securing Windows 2000 Installations at the Microsoft Security Advisor Web site.

Special Groups

Several additional groups are automatically created by Windows 2000.

  • Interactive. This group contains the user who is currently logged on to the computer. During an upgrade to Windows 2000, members of the Interactive group will also be added to the Power Users group, so that legacy applications will continue to function as they did before the upgrade.
  • Network. This group contains all users who are currently accessing the system over the network.
  • Terminal Server User. When Terminal Servers are installed in application serving mode, this group contains any users who are currently logged on to the system using Terminal Server. Any program that a user can run in Windows NT 4.0 will run for a Terminal Server User in Windows 2000. The default permissions assigned to the group were chosen to enable a Terminal Server User to run most legacy programs.

    • Warning

    • Running legacy programs in Windows 2000 requires permission to modify certain system settings. The same default permissions that allow a Terminal Server User to run legacy programs also make it possible for a Terminal Server User to gain additional privileges on the system, even complete administrative control. Applications that are certified for Windows 2000 can run successfully under the secure configuration provided by the Users group. For more information, see Securing Windows 2000 Installations at the Microsoft Security Advisor Web site.

    Note

    • When Terminal Server is installed in remote administration mode, users logged on using Terminal Server will not be members of this group.


Differences between Windows NT 4.0 and Windows 2000 default security settings

Windows NT 4.0 provided two key groups whose membership could be controlled by the administrator: Administrators and Users. There was one group, Everyone, whose membership was controlled by the operating system or domain. Every user who was authenticated by the domain was a member of the Everyone group. If an administrator wanted stricter control of access to the computer's resources, the discretionary access control list (DACL) could be modified by removing the Everyone group.

Windows 2000 provides three groups whose membership is controlled by the administrator: Users, Power Users, and Administrators. The group whose membership is controlled by the operating system or domain is Authenticated Users. It is the same as the Everyone group, except that it does not contain anonymous users or guests.

Unlike the Everyone group in Windows NT 4.0, the Authenticated Users group is not used to assign permissions. Only groups controlled by the administrator, primarily Users, Power Users, and members of the Administrators group, are used to assign permissions. The default members of each group are listed below.

Local Group | Windows 2000 Professional | Windows 2000 Server
Administrators | Administrator | Administrator
Power Users | Authenticated Users | none
Users | Authenticated Users | Authenticated Users

By default in Windows 2000, any authenticated user is a member of the Users group. Windows 2000 Power Users have all the capabilities that Windows NT 4.0 Users had. This ensures backward compatibility with Windows NT 4.0. If an administrator wants to implement higher security on a Windows 2000 computer, Authenticated Users should be made members of the Users group only.

When a Windows 2000 Professional or Server computer joins a domain, the same domain groups are added to the computer that were added to a Windows NT 4.0 computer. Domain Administrators are added to the local Administrators group and Domain Users are added to the local Users group.


Find out what group you are in

To find out what group you are in

  1. Open a Command Prompt window.
  2. To list the members of the Power Users group, type net localgroup "power users" and then press ENTER. Be sure to include the quotes.

    To list the members of the Users group, type net localgroup users and then press ENTER.

    To list the members of the Administrators group, type net localgroup administrators and then press ENTER.

Notes

  • To open a Command Prompt window, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • For more information about the net localgroup command, see Related Topics.


Use Run as to start a program as an administrator

  1. In Windows Explorer, click the program, Microsoft Management Console (MMC) tool, or Control Panel item you want to open.
  2. Press SHIFT and right-click the program, and then click Run as.
  3. Click Run the program as the following user.
  4. Type the user name, password, and domain of the administrator account you want to use.

Notes

  • If you want to use the Administrator account on your computer, in Domain type the name of the computer. If you want to run as a domain administrator, in Domain type the name of the domain.
  • In User name, Password, and Domain, you can type up to 256 characters in each field.
  • Run as allows you to run programs (*.exe), saved MMC consoles (*.msc), shortcuts to programs and saved MMC consoles, and Control Panel items. You can run them as an administrator while you are logged on to your computer as a member of another group, such as the Users or Power Users group.
  • You can set a property on shortcuts to programs and MMC consoles so that you will always be prompted for alternate credentials when you use the shortcut. To set the property, right-click the shortcut, click Properties, and then click Run as different user.
  • Run as can be used to start any program, MMC console, or Control Panel item as long as the following requirements are met:
    • You provide the appropriate user account and password information.
    • The user account has the ability to log on to the computer.
    • The program, MMC console, or Control Panel item is available on the system and to the user account.
  • Run as is usually used to run programs as an administrator, although it is not limited to administrator accounts. Any user with multiple accounts can use Run as to run a program, MMC console, or Control Panel item with alternate credentials.
  • If you try to start a program, MMC console, or Control Panel item from a network location using Run as, it might fail because the credentials used to connect to the network share are different from the credentials used to start the program. The credentials used to run the program may not be able to gain access to the same network share.
  • Some items, such as Windows Explorer, the Printers folder, and desktop items, are launched indirectly by Windows 2000. These items cannot be started with Run as.
  • If Run as fails, the RunAs service may not be running. For more information, see Related Topics.
  • You can also use the runas command from the Run line or a command prompt. For more information, see Related Topics.
  • Run as and the RunAs service accept only password authentication. If policies require smart card logon for special accounts or for all users, then Run as will not work.


Create a shortcut using runas command parameters

To create a shortcut using runas command parameters

  1. Right-click the desktop, point to New, and then click Shortcut.
  2. In Type the location of the item, type runas and the command parameters you wish to use. See Examples.
  3. Click Next, type a name for the shortcut, and then click Finish.

Examples

  • To create a shortcut for a command prompt window with administrator credentials, in step 2 type:

    runas /user:machine name\administrator cmd

    where machine name is the name of your computer.

    The title bar of this window will say "cmd (running as machine name\administrator)" to indicate the credentials under which it is running.

  • To create a shortcut for a Computer Management window with administrator credentials, in step 2 type:

    runas /user:machine name\administrator "mmc %windir%\system32\compmgmt.msc"

    where machine name is the name of your computer. Be sure to include the quotation marks.

    The Computer Management window provides no indication of the credentials under which it is running. This could cause confusion if you start two or more Computer Management windows in different security contexts.

  • On Windows 2000 Server, to create a shortcut to Active Directory Users and Computers with domain administrator credentials, in step 2 type:

    runas /user:domain name\administrator "mmc %windir%\system32\dsa.msc"

    The Active Directory Users and Computers window provides no indication of the credentials under which it is running. This could cause confusion if you start two or more Active Directory Users and Computers windows in different security contexts.

  • To create a shortcut to a program that will administer a server in another forest, in step 2 type:

    runas /netonly /user:domain\username command

    where domain\username is a user with enough permissions to administer the server, and command is a command prompt window, program, saved MMC console, or Control Panel item. For example, to create a shortcut for Active Directory Users and Computers, in step 2 type:

    runas /netonly /user:domain\username "mmc.exe dsa.msc"

Notes

  • When you double-click the shortcut, you will be prompted for the password of the user account specified in step 2. Then the program or file will run with the permissions granted to that user. If the user account is Administrator or a member of the Administrators group, you will be able to do administrative tasks in this window.
  • The runas command allows you to run programs (*.exe), saved MMC consoles (*.msc), and Control Panel items as an administrator while you are logged on to your computer as a member of another group, such as the Users or Power Users group.
  • The runas command can be used to start any program, MMC console, or Control Panel item as long as the following requirements are met:
    • You provide the appropriate user account and password information.
    • The user account has the ability to log on to the computer.
    • The program, MMC console, or Control Panel item is available on the system and to the user account.
  • The runas command is usually used to run programs as an administrator, although it is not limited to administrator accounts. Any user with multiple accounts can use runas to run a program, MMC console, or Control Panel item with alternate credentials.
  • Some applications, such as Windows Explorer, the Printers folder, and desktop items, are launched indirectly by Windows 2000. These applications cannot be started with the runas command.
  • If the runas command fails, the RunAs service may not be running. For more information, see Related Topics.
  • For more information about the runas command, see Related Topics.


Why you should not run your computer as an administrator

You should not add yourself to the Administrators group and you should avoid running your computer while logged on as an administrator. For most computer activity, log on as a member of the Users or Power Users group. If you need to perform an administrator-only task, log on as an administrator, perform the task, and then log off.

Running Windows 2000 as an administrator makes the system vulnerable to Trojan horses and other security risks. The simple act of visiting an Internet site can be extremely damaging to the system. An unfamiliar Internet site may have Trojan horse code that can be downloaded to the system and executed. If you are logged on with administrator privileges, a Trojan horse could do things like reformat your hard drive, delete all your files, create a new user account with administrative access, and so on.

You should add yourself to the Users or Power Users group. When you log on as a member of the Users group, you can perform routine tasks, including running programs and visiting Internet sites, without exposing your computer to unnecessary risk. As a member of the Power Users group, you can perform routine tasks and you can also install programs, add printers, and use most Control Panel items. If you need to perform administrative tasks, such as upgrading the operating system or configuring system parameters, then log off and log back on as an administrator.

If you frequently need to log on as an administrator, you can use Run as. For more information, see Related Topics.


Access the latest documentation on the Web

To get the latest documentation on the Web for Windows 2000 Professional or Windows 2000 Server

  • To view the latest documentation for Windows 2000 Professional, go to the Windows Home Pages at the Microsoft Web site (http://www.microsoft.com/). To view the latest documentation for Windows 2000 Server, go to the Windows Home Pages at the Microsoft Web site (http://www.microsoft.com/).
  • To download the latest documentation to your computer, go to Windows Update at the Microsoft Web site (http://www.microsoft.com/).

Notes

  • Windows Home Pages are an extensive collection of useful Windows resources, information, and services at the Microsoft Web site.
  • Windows Update is a catalog of items such as drivers, patches, the latest help files, and Internet products that you can download to keep your computer up to date. You must be logged on as an administrator or a member of the Administators group in order to access the Product Updates section of Windows Update for downloading help files.


Start Windows Update

To start Windows Update

  • Go to Windows Update at the Microsoft Web site (http://www.microsoft.com/).

Notes

  • You must be logged on as an administrator or a member of the Administators group in order to access the Product Updates section of Windows Update. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To open Windows Update, click Start, and then click Windows Update.
  • Windows Update is a catalog of items such as drivers, patches, the latest help files, and Internet products that you can download to keep your computer up to date.
  • Using the Product Updates section of Windows Update, you can scan your computer for outdated system files and automatically replace them with the most recent versions.


Choosing a program to write a document

You should pick your program based on how complicated your document is. What kind of formatting do you need? Does the document include graphics or tables? Will people using other platforms need to open or modify it? How large is the document? Are you creating a Web page?

Windows 2000 includes two word processing programs: Notepad and WordPad. Each provides basic text editing capability, but you may have tasks that are better suited for one editor over the other.

Decide whether your document needs any of the following before you choose an editor.

Text formatting

Notepad can do only the most basic text formatting. You can specify a font and insert tabs. The font applies to the whole document, not an individual paragraph or word, and it is not saved with the file. So, if someone else looks at the file on another computer, that user will see whatever font is available.

WordPad lets you create more complex documents, giving you most of the capability of a word processor. You can change the font for the entire document or just a word within it. With the click of a button, you can insert bullets into text in WordPad or align a paragraph to the right or left. All of this formatting is saved with your document, so no matter who opens it, it will appear as you created it.

Your word processor will provide even more text formatting options, such as automatically numbering lines of text, specifying columns, or inserting frames.

Tables

If you plan to use tables in your file, you should probably create the document using a word processor. You can set up a table in a Notepad or a WordPad document, but you must count characters or insert tabs to align the columns. Most word processors will separate the columns and rows and automatically wrap text within columns for you.

Graphics

Notepad does not support graphics. You can insert graphics into a WordPad document and modify them by linking or embedding them in your document. Almost all word processors provide graphics support.

Page setup

Basic page setup is available with both Notepad and WordPad. You can set margins, add headers and footers, and orient your documents to print either vertically or horizontally. Your word processor may offer more options.

Large documents

The more elaborate the document, the longer it will take to open and modify. Notepad and WordPad are both compact programs that start and open files quickly, best used with smaller files.

Word processors are intended for larger, more elaborate documents. A word processor gives you more control over your documents than Notepad or WordPad does. Often you can add footnotes, annotations, and even generate a table of contents for your documents. Many word processors offer macros and templates to help you automate repetitive tasks, such as typing your name or formatting headings. Usually word processors will automatically check the spelling and grammar in your document.

Cross-platform support

Notepad is a basic text editor that is most commonly used to view or edit .txt files, such as the Readme.txt files provided with your Windows 2000 software. Text-only files are critical if you share documents with someone using another platform like Macintosh or UNIX. WordPad also lets you save your files as a Word document, so you can modify files created in Word even if you don't have the program yourself.

Multiple languages

WordPad and Notepad let you save your files in different formats, such as Unicode, providing you greater flexibility when working with documents that use different character sets or documents created by other programs.

Most word processors also allow you to save your files in a variety of formats. Some provide support for multiple languages, even including several dictionaries for spell checking. In WordPad, documents that use multiple languages should be saved as rich text files (.rtf is the file extension of a document saved as a rich text file).

HTML and Web pages

As more people use HTML to create Web pages or other documents, many find Notepad a simple tool for writing in HTML. Because Notepad supports only very basic formatting, you cannot accidentally save special formatting in documents that need to remain pure text. This is especially useful when creating HTML documents for a Web page because special characters or other formatting may not appear in your published Web page or may even cause errors.

Many word processors provide plug-ins or converters to help you create HTML documents. But, if you are creating simple pages or if you want to make a few quick changes, Notepad opens files quickly. Also, Notepad shows all of the HTML tagging so you can troubleshoot your page. Not all word processors or converters make the HTML code available.

If you only need to create simple documents, Notepad is your best choice. Click here to open Notepad. You would need to use WordPad or another word processor for anything more complicated. Click here to open WordPad.

Notes

  • For information about using Notepad, click the Help menu in Notepad. For information about using WordPad, click the Help menu in WordPad.


Using special characters

When creating your documents, you may need to use a special character in your text, such as a trademark (™) or degree (°) symbol. To quickly see all of the characters that you can use for a particular font, click Start, point to Programs, point to Accessories, point to System Tools, and then click Character Map. You can then copy and paste the characters you need from Character Map into your document.

If the character you need isn't displayed in Character Map, you can design your own character using Private Character Editor (PCE). Using PCE, you can draw special letters, logos, or ideographs, and link them into your font library for repeated use.